<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="css/Menu.css" type="text/css" media="screen"/> 
        <script type="text/javascript" src="js/jquery-1.11.2.min.js"></script>
        <script src="JS_general.js" type="text/javascript"></script>
        <script type="text/javascript">
            
            document.oncontextmenu = function(){return false}
            var sesion="<%=session.getAttribute("sesion_usuario")%>"
            if (sesion=="null")
            {
                parent.location.href="Error.jsp";
            }
            function Salir()
            {
                CierraSesion();
                parent.location.href="Login.jsp";
               
            }
            //Funcion Ajax que permite procesar los datos hacia otra pagina, por detras del usuario.
            function Ajax() { 
                var XMLHttp = false;
                if (window.XMLHttpRequest) {
                    // Si es Mozilla, Safari etc
                    XMLHttp = new XMLHttpRequest ();
                } else {
                    if (window.ActiveXObject) {
                        // pero si es IE
                        try {
                            XMLHttp = new ActiveXObject ("Msxml2.XMLHTTP");
                        } catch (e) {
                            // en caso que sea una versión antigua
                            try {
                                XMLHttp = new ActiveXObject ("Microsoft.XMLHTTP");
                            } catch (e) {
                                return false;
                            }
                        }
                    } else {
                        return false;
                    }
                } 
                return XMLHttp;
            }
            //Funcion que permite llamar a pagina de procesamiento mediante AJAX
            function _LlamarFuncionMenu(url)
            {   
                ajax=Ajax();
                ajax.open("get",url,true);   
                ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
                ajax.send(null);
                ajax.onreadystatechange=function()
                {
                    if(ajax.readyState==4)
                    { 
                        var valorRetorno = new Array();
                        var respuesta=ajax.responseText;
                        valorRetorno = respuesta.split('/');
                        document.getElementById('pagina').innerHTML=valorRetorno[4];                           
                    }
                }
            }
            function TrimElemento(id) 
            {
                if(id!="" || id=="undefined")
                {
                    return id.replace(/^\s+|\s+$/gm,'')
                }
                else
                {
                    return id
                }
            }
            function ActualizaSesionPagina(id)
            {
                _LlamarFuncionMenu('ProcesarMenu.jsp?sesionPagina='+id)
            }
        </script>
    </head>
    <body>  
        <div id="response"></div>
        <div style="width: 100%;" align="center">
            <a id="logo" href="Cuerpo.jsp" target="cuerpo" style="width: 100%;"><img src="Imagenes/logo2.jpg"></a>
            <br><hr><br>
            <a id="h4">Usuario Conectado: <%=session.getAttribute("sesion_usuario")%></a><br>
            <a id="h3">Perfil: <%=session.getAttribute("sesion_perfil")%></a><br><br>     
        </div>

        <ul id="MenuPrincipal">
            <li><div id="administracion">ADMINISTRACIÓN</div>
                <ul>
                    <li id="Empleados"><a href="Empleado.jsp" target="cuerpo" onclick= "ActualizaSesionPagina(this.href)">Empleados<hr></a></li>
                    <li id="Usuarios"><a href="Usuario.jsp" target="cuerpo" onclick="ActualizaSesionPagina(this.href)">Usuarios<hr></a></li>
                    <li id="Clientes"><a href="Cliente.jsp" target="cuerpo" onclick="ActualizaSesionPagina(this.href)">Clientes<hr></a></li>
                </ul>
            </li>
            <li><div id="Pedidos">PEDIDOS</div>
                <ul>
                    <li id="IngresoPedidos"><a href="Pedido.jsp" target="cuerpo" onclick="ActualizaSesionPagina(this.href);">Ingreso Pedidos<hr></a></li>
                    <li id="RecepcionPedidos"><a href="RecepcionPedido.jsp" target="cuerpo" onclick="ActualizaSesionPagina(this.href);">Recepción Pedidos<hr></a></li>
                </ul>
            </li>
            <li><div id="inventario">INVENTARIO</div>
                <ul>
                    <li id="IngresoInventario"><a href="Inventario.jsp" target="cuerpo" onclick="ActualizaSesionPagina(this.href);">Ingreso Inventario<hr></a></li>
                    <li id="AdministracionInventario"><a href="AdministracionInventario.jsp" target="cuerpo" onclick="ActualizaSesionPagina(this.href);">Administración Inventario<hr></a></li>
                </ul>
            </li>
            <li><div id="reportes" >REPORTES</div>
                <ul>
                    <li id="ReportesPedido"><a href="ReportesPedido.jsp" target="cuerpo" onclick="ActualizaSesionPagina(this.href);">Reportes de Pedidos<hr></a></li>
                    <li id="ReportesInventario"><a href="ReportesInventario.jsp" target="cuerpo" onclick="ActualizaSesionPagina(this.href);">Reportes de Inventario<hr></a></li>
                    <li id="ReportesAuditoria"><a href="ReportesAuditoria.jsp" target="cuerpo" onclick="ActualizaSesionPagina(this.href);">Reportes de Auditoria<hr></a></li>
                </ul>
            </li>
            <li><div id="ayuda">AYUDA</div>
                <ul>
                    <li id="AyudaGeneral"><a href="Ayuda.jsp" target="cuerpo">Ayuda<hr></a></li>
                    <li id="AcercaDe"><a href="AcercaDe.jsp" target="cuerpo">Acerca de<hr></a></li>
                </ul>
            </li>
            <li><div id="salir" onclick="Salir()">SALIR</div></li>
        </ul>
        <a id="pagina" style="visibility: hidden"><%=session.getAttribute("sesion_pagina")%></a>
        <script type="text/javascript">
   
            $(document).ready(function () {

                var perfil="<%=session.getAttribute("sesion_perfil")%>";

                if(perfil=="VENTAS")
                {
                    $("#administracion").hide();
                    $("#inventario").hide();
                    $("#ReportesInventario").hide();
                    $("#ReportesAuditoria").hide();
                }
                else if(perfil=="BODEGA")
                {
                    $("#administracion").hide();
                    $("#Pedidos").hide();
                    $("#ReportesPedido").hide();
                    $("#ReportesAuditoria").hide();
                }
                    
            }); 
            $("#MenuPrincipal > li > div").click(function()
            {
                if(false == $(this).next().is(':visible')) {
                    $('#MenuPrincipal ul').slideUp(300);
                }
                $(this).next().slideToggle(300);
            });
 

        </script>
    </body>
</html>
