package INV_SINERCOM.Entidades;

/// <summary>
/// Aplicación: INV_SINERCOM (INVENTARIO SINERCOM)
/// Módulo: INVENTARIO
/// Fecha:2014/12/18 
/// Empresa:SINERCOM
/// HISTORIA DE CAMBIOS
/// ----------------------------------------------------------------------
/// FECHA         USUARIO     DESCRIPCION
/// 2014/12/18    DRPAREDA    Creacion de Clase para manejo de iNVENTARIO
/// ----------------------------------------------------------------------
/// </summary>
public class EInventario {

    private String codigoProducto;
    private String descripcionProducto;
    private String marcaProducto;
    private float  valorUnitario;
    private int tipo;
    private int cantidad;

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    public String getCodigoProducto() {
        return codigoProducto;
    }

    public void setCodigoProducto(String codigoProducto) {
        this.codigoProducto = codigoProducto;
    }

    public String getDescripcionProducto() {
        return descripcionProducto;
    }

    public void setDescripcionProducto(String descripcionProducto) {
        this.descripcionProducto = descripcionProducto;
    }

    public String getMarcaProducto() {
        return marcaProducto;
    }

    public void setMarcaProducto(String marcaProducto) {
        this.marcaProducto = marcaProducto;
    }

    public int getTipo() {
        return tipo;
    }

    public void setTipo(int tipo) {
        this.tipo = tipo;
    }

    public float getValorUnitario() {
        return valorUnitario;
    }

    public void setValorUnitario(float valorUnitario) {
        this.valorUnitario = valorUnitario;
    }

    public EInventario() {
    }

    public EInventario(String codigoProducto, String descripcionProducto, String marcaProducto, float valorUnitario, int tipo, int cantidad) {
        this.codigoProducto = codigoProducto;
        this.descripcionProducto = descripcionProducto;
        this.marcaProducto = marcaProducto;
        this.valorUnitario = valorUnitario;
        this.tipo = tipo;
        this.cantidad = cantidad;
    }






    
    


}
