package INV_SINERCOM.Entidades;

import java.security.MessageDigest;

public class EUsuario {
    /// <summary>
    /// Aplicación: INV_SINERCOM (INVENTARIO SINERCOM)
    /// Módulo: USUARIOS
    /// Fecha:2014/09/30 
    /// Empresa:SINERCOM
    /// HISTORIA DE CAMBIOS
    /// ----------------------------------------------------------------------
    /// FECHA         USUARIO     DESCRIPCION
    /// 2014/09/30    DRPAREDA    Creacion de Clase para manejo de USUARIOS
    /// ----------------------------------------------------------------------
    /// </summary>     

    private String usuario;
    private String contrasena;
    //private ResultSet resultado = null;

    public String getContrasena() {
        return contrasena;
    }

    public void setContrasena(String contrasena) {
        this.contrasena = EncriptarMD5(contrasena);
    }

    public String getUsuario() {
        return usuario;
    }

    public void setUsuario(String usuario) {
        this.usuario = usuario;
    }

    public EUsuario() {
    }

    public EUsuario(String usuario, String contrasena) {
        this.usuario = usuario;
        this.contrasena = contrasena;
    }
    
    public String EncriptarMD5(String cadena)// throws Exception 
    {           
        MessageDigest md;
        byte[] b; 
        int size;
        StringBuilder h=null; 
        try
        {
        md = MessageDigest.getInstance("MD5");
        b = md.digest(cadena.getBytes());
        size = b.length;
        h= new StringBuilder(size);
            for (int i = 0; i < size; i++) {
                int u = b[i] & 255;
                if (u < 16) {
                    h.append("0").append(Integer.toHexString(u));
                } else {
                    h.append(Integer.toHexString(u));
                }
            }        
        }catch(Exception ex)
        {
            
        }
        return h.toString();     
    }     
}
