package INV_SINERCOM.Negocio;

import INV_SINERCOM.AccesoDatos.ADEmpleado;
import INV_SINERCOM.Entidades.*;
import java.util.*;

public class NEmpleado {
    /// <summary>
    /// Aplicación: INV_SINERCOM (INVENTARIO SINERCOM)
    /// Módulo: USUARIOS
    /// Fecha:2014/09/30 
    /// Empresa:SINERCOM
    /// HISTORIA DE CAMBIOS
    /// ----------------------------------------------------------------------
    /// FECHA         USUARIO     DESCRIPCION
    /// 2014/10/28    DRPAREDA    Creacion de Clase para manejo de EMPLEADOS con la capa de Datos
    /// ----------------------------------------------------------------------
    /// </summary> 

    // Inserta nuevo empleado en base de datos
    public static int RegistraEmpleado(EEmpleado entEmpleado, String direccionEmpleado, String telefonoEmpleado) {
        int valorRetorno = 0;
        valorRetorno = ADEmpleado.RegistraEmpleado(entEmpleado.getNombreEmpleado(), entEmpleado.getApellidoEmpleado(), entEmpleado.getCedulaEmpleado(), direccionEmpleado, telefonoEmpleado);
        return valorRetorno;
    }

    // Busca empleado en base de datos
    public static ArrayList BuscaEmpleado(int operacion,int codigoEmpleado, EEmpleado entEmpleado) {
        ArrayList valorRetorno = new ArrayList();
        valorRetorno = ADEmpleado.BuscaEmpleado(operacion,codigoEmpleado, entEmpleado.getCedulaEmpleado());
        return valorRetorno;
    }

    // Actualiza informacion de Empleado en base de datos
    public static int ActualizarEmpleado(int codigoEmpleado, EEmpleado entEmpleado, String direccionEmpleado, String telefonoEmpleado) {
        int valorRetorno = 0;
        valorRetorno = ADEmpleado.ActualizarEmpleado(codigoEmpleado, entEmpleado.getNombreEmpleado(), entEmpleado.getApellidoEmpleado(), entEmpleado.getCedulaEmpleado(), direccionEmpleado, telefonoEmpleado);

        return valorRetorno;
    }

    //Elimina informacion de Empleado de la base de datos
    public static int EliminarEmpleado(int codigoEmpleado) {
        int valorRetorno = 0;
        int operacion = 3;
        valorRetorno = ADEmpleado.EliminarEmpleado(codigoEmpleado, operacion);
        return valorRetorno;
    }
}
