package INV_SINERCOM.Negocio;

import INV_SINERCOM.AccesoDatos.ADLog;
import INV_SINERCOM.Entidades.*;

public class NLog {
    /// <summary>
    /// Aplicación: INV_SINERCOM (INVENTARIO SINERCOM)
    /// Módulo: LOG
    /// Fecha:2014/09/30 
    /// Empresa:SINERCOM
    /// HISTORIA DE CAMBIOS
    /// ----------------------------------------------------------------------
    /// FECHA         USUARIO     DESCRIPCION
    /// 2014/09/30    DRPAREDA    Creacion de Clase para manejo de LOGS
    /// ----------------------------------------------------------------------
    /// </summary> 


    //Inserta el registro de las transacciones en el aplicativo
    public static void InsertaLogTransaccion(ELog entLog,String accion) {
        ADLog.InsertaLogTransaccion(entLog.getIp(), entLog.getUsuario(), accion);
    }

    //Inserta registro de error en base de datos
    public static void InsertaLogError(ELog entLog,String error) {
        ADLog.InsertaLogError(entLog.getIp(), entLog.getUsuario(), error);
    }
}
