<%@page import="javax.swing.text.Document"%>
<%@page import="javax.naming.spi.DirStateFactory.Result"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.lang.reflect.Array"%>
<%@page import="javax.swing.JOptionPane"%>
<%@page import="org.apache.jasper.tagplugins.jstl.core.Redirect"%>
<%@page import="INV_SINERCOM.Negocio.NCliente"%>
<%@page import="INV_SINERCOM.Negocio.NLog"%>
<%@page import="INV_SINERCOM.Entidades.ECliente"%>
<%@page import="INV_SINERCOM.Entidades.ELog"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>


<%
    /// <summary>
    /// Aplicación: INV_SINERCOM (INVENTARIO SINERCOM)
    /// Módulo: CLIENTE
    /// Fecha:2014/09/30 
    /// Empresa:SINERCOM
    /// HISTORIA DE CAMBIOS
    /// ----------------------------------------------------------------------
    /// FECHA         USUARIO     DESCRIPCION
    /// 2014/09/30    DRPAREDA    Creacion de Clase para procesamiento de Clientes
    /// ----------------------------------------------------------------------
    /// </summary>     
    //Inicializacion de clase Usuarios
    ECliente entCliente = new ECliente();
    ELog entLog = new ELog();

    //Variables utilizadas en el proceso de Clientes
    int accion = 0;
    int tipoCliente = 0;
    int tipoHospital = 0;
    int codigoCliente = 0;
    int operacionCliente = 0;
    String direccionCliente = "";
    String telefonoCliente = "";
    int codigoCatalogoCliente = 0;
    int valorCombo = 0;
    String nombreCliente = "";
    String mensaje = "";
    String descripcionLog = "";

    try {
        //Ip para ingresar en log de transacciones
        entLog.setIp(java.net.InetAddress.getLocalHost().getHostAddress());
        entLog.setUsuario(session.getAttribute("sesion_usuario").toString());
        //Atrapar valor de Elementos
        entCliente.setNombreCliente(request.getParameter("nombreCliente"));
        entCliente.setRucCLiente(request.getParameter("rucCliente"));

        //guarda numero de accion que se realizara
        accion = Integer.parseInt(request.getParameter("accionCliente").toString());

        switch (accion) {
            case 0: //Carga Tipos de lclientes disponibles para los usuarios
                tipoCliente = Integer.parseInt(request.getParameter("indiceComboTipoCliente").toString());
%>
<select id="ddlTipoCliente" onclick="FiltraTipoCliente()" style="background: darkgray; width: 260px;" disabled="true">
    <option value="0" >--Seleccione una opción--</option>
    <%
        codigoCatalogoCliente = 10;
        ArrayList ATipoCliente = NCliente.CargaTiposClientes(codigoCatalogoCliente);
        valorCombo = 100;
        for (int i = 0; i < ATipoCliente.size(); i++) {
            valorCombo = i + 101;
            if (tipoCliente == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=ATipoCliente.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=ATipoCliente.get(i).toString()%></option>
    <%
            }
        }
    %>
</select> 
<br></br>
<%
    tipoHospital = Integer.parseInt(request.getParameter("indiceComboTipoHospital").toString());
%>
<select id="ddlTipoHospital" style="background: darkgray; width: 260px;" disabled="true">
    <option value="0" >--Seleccione una opción--</option>
    <%
        codigoCatalogoCliente = 20;
        ArrayList AtipoHospital = NCliente.CargaTiposClientes(codigoCatalogoCliente);
        valorCombo = 200;
        for (int i = 0; i < AtipoHospital.size(); i++) {
            valorCombo = i + 201;
            if (tipoHospital == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=AtipoHospital.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=AtipoHospital.get(i).toString()%></option>
    <%
            }
        }
    %>
</select> 
<%
        break;

    case 1:// Registra Clientes en la base de datos

        tipoCliente = Integer.parseInt(request.getParameter("indiceComboTipoCliente").toString());
        tipoHospital = Integer.parseInt(request.getParameter("indiceComboTipoHospital").toString());
        direccionCliente = request.getParameter("direccionCliente");
        telefonoCliente = request.getParameter("telefonoCliente");
        int resultado = NCliente.RegistraCliente(entCliente, tipoCliente, tipoHospital, direccionCliente, telefonoCliente);
        nombreCliente = entCliente.getNombreCliente();
        if (resultado != 0) {
            descripcionLog = "Registro Cliente";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
%>
<div id="ResumenRegistro" class="resumen">
    Se registró correctamente el Cliente: <%=nombreCliente%>
    <br>El código de Cliente es: <%=resultado%>
</div>
<%
} else {

%>
<%=resultado%>
<%
        }
        break;
    case 2: // Busca un cliente en la base de datos
        String valorRetorno = "";
        String codigoClientestring = request.getParameter("codigoCliente");
        if (codigoClientestring != "") {
            if (codigoClientestring.length() > 10) {
                valorRetorno = "";
                return;
            }
            codigoCliente = Integer.parseInt(request.getParameter("codigoCliente").toString());
        }
        operacionCliente = Integer.parseInt(request.getParameter("operacionUsuario").toString());
        ArrayList DatosCliente = NCliente.BuscarUsuario(operacionCliente, entCliente, codigoCliente);

        int contador = 1;
        for (int i = 0; i < DatosCliente.size(); i++) {

            if (contador < DatosCliente.size()) {
                valorRetorno = valorRetorno + DatosCliente.get(i).toString() + "/";
            } else {
                valorRetorno = valorRetorno + DatosCliente.get(i).toString();

            }
            contador++;
        }
%>
<%=valorRetorno%>
<%

        break;


    case 3://Actualiza Cliente en Base de datos.

        codigoCliente = Integer.parseInt(request.getParameter("codigoCliente").toString());
        tipoCliente = Integer.parseInt(request.getParameter("indiceComboTipoCliente").toString());
        tipoHospital = Integer.parseInt(request.getParameter("indiceComboTipoHospital").toString());
        direccionCliente = request.getParameter("direccionCliente");
        telefonoCliente = request.getParameter("telefonoCliente");
        int valorRetornoActualizacion = NCliente.ActualizarUsuario(entCliente, codigoCliente, tipoCliente, tipoHospital, direccionCliente, telefonoCliente);

        if (valorRetornoActualizacion != 0) {
            descripcionLog = "Actualizacion Cliente";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);

        }
%>
<%=valorRetornoActualizacion%>
<%

        break;

    case 4:
        codigoCliente = Integer.parseInt(request.getParameter("codigoCliente").toString());
        int valorRetornoEliminar = NCliente.EliminarCliente(codigoCliente);
        if (valorRetornoEliminar != 0) {
            descripcionLog = "Eliminacion Cliente";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
            mensaje = "Cliente eliminado";
        }
%>
<%=valorRetornoEliminar%>
<%
        break;

    case 5: //Carga Tipos de lclientes disponibles para los usuarios
        tipoCliente = Integer.parseInt(request.getParameter("indiceComboTipoCliente").toString());
%>
<select id="ddlTipoCliente" onclick="FiltraTipoCliente()" style=" width: 260px;">
    <option value="0" >--Seleccione una opción--</option>
    <%
        codigoCatalogoCliente = 10;
        ATipoCliente = NCliente.CargaTiposClientes(codigoCatalogoCliente);
        valorCombo = 100;
        for (int i = 0; i < ATipoCliente.size(); i++) {
            valorCombo = i + 101;
            if (tipoCliente == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=ATipoCliente.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=ATipoCliente.get(i).toString()%></option>
    <%
            }
        }
    %>
</select> 
<br></br>
<%
    tipoHospital = Integer.parseInt(request.getParameter("indiceComboTipoHospital").toString());
%>
<select id="ddlTipoHospital" style="width: 260px;" >
    <option value="0" >--Seleccione una opción--</option>
    <%
        codigoCatalogoCliente = 20;
        AtipoHospital = NCliente.CargaTiposClientes(codigoCatalogoCliente);
        valorCombo = 200;
        for (int i = 0; i < AtipoHospital.size(); i++) {
            valorCombo = i + 201;
            if (tipoHospital == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=AtipoHospital.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=AtipoHospital.get(i).toString()%></option>
    <%
            }
        }
    %>
</select> 
<%
                break;


        }

    } catch (Exception ex) {
        descripcionLog = "Cliente - " + ex.getLocalizedMessage().toString();
        NLog.InsertaLogError(entLog, descripcionLog);
    }
%>