<%@page import="INV_SINERCOM.AccesoDatos.ADInventario"%>
<%@page import="net.sf.jasperreports.engine.util.JRLoader"%>
<%@page import="net.sf.jasperreports.engine.JasperReport"%>
<%@page import="java.util.Arrays"%>
<%@page import="java.util.ArrayList"%>
<%@page import="javax.swing.JOptionPane"%>
<%@page import="INV_SINERCOM.Negocio.NLog"%>
<%@page import="INV_SINERCOM.Negocio.NInventario"%>
<%@page import="INV_SINERCOM.Entidades.*"%>
<%
    /// <summary>
    /// Aplicacin: INV_SINERCOM (INVENTARIO SINERCOM)
    /// Mdulo: INVENTARIO
    /// Fecha:2014/12/18 
    /// Empresa:SINERCOM
    /// HISTORIA DE CAMBIOS
    /// ----------------------------------------------------------------------
    /// FECHA         USUARIO     DESCRIPCION
    /// 2014/12/18    DRPAREDA    Creacion de Clase para manejo de iNVENTARIO
    /// ----------------------------------------------------------------------
    /// </summary>
    EInventario entInventario = new EInventario();
    ELog entLog = new ELog();
    //Variables utilizadas en el proceso de inventario
    int accion = 0;
    int codigoCatalogoPedido = 0;
    int valorCombo = 0;
    int tipoProducto = 0;
    int tipoPaquete = 0;
    String codigoProducto = "0";
    String descripcionLog = "";
    int operacionInventario = 0;
    int operacionPopUp = 0;
    String parametroBusqueda = "";

    try {
        //ENVIA DATOS PARA LOG
        entLog.setIp(java.net.InetAddress.getLocalHost().getHostAddress());
        entLog.setUsuario(session.getAttribute("sesion_usuario").toString());
        //Guarda numero de accion que se realizara
        accion = Integer.parseInt(request.getParameter("accionInventario").toString());


        switch (accion) {

            case 0://CARGA COMBOBOX PARA ELEGIR NUEVO USUARIO.

//CARGA LISTA DE TIPOS DE PRODUCTOS-------------------------------------------------------------------------------
                tipoProducto = Integer.parseInt(request.getParameter("idTipoProducto").toString());
%>                          
<select id="ddlTipoProducto" style="width: 300px;">
    <option value="0" >--Seleccione una opcin--</option>
    <%
        codigoCatalogoPedido = 30;
        ArrayList AtipoProducto = NInventario.CargaTipoProductos(codigoCatalogoPedido);
        valorCombo = 300;
        for (int i = 0; i < AtipoProducto.size(); i++) {
            valorCombo = i + 301;
            if (tipoProducto == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=AtipoProducto.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=AtipoProducto.get(i).toString()%></option>
    <%
            }
        }
    %>
</select>
<%="//"%>
<%
//CARGA LA LISTA DE INVENTARIO PARA SELECCIONAR
    operacionInventario = 0;
    entInventario.setTipo(0);
    parametroBusqueda = "";
    operacionPopUp = 1;
    String resultadoListaInventario = NInventario.CargaInventarioIngreso(operacionInventario, operacionPopUp, entInventario, parametroBusqueda);

%>
<%=resultadoListaInventario%>   
<%="//"%>
<%
    //CARGA LISTA DE TIPOS DE PRODUCTOS-------------------------------------------------------------------------------
    tipoProducto = Integer.parseInt(request.getParameter("idTipoProducto").toString());
%>
<select id="ddlTipoProducto2" onclick="FiltraTipoProductosInventario('1')" style="width: 300px;">
    <option value="0" >--TODOS--</option>
    <%
        codigoCatalogoPedido = 30;
        ArrayList AtipoProductoI = NInventario.CargaTipoFiltrosInventario(codigoCatalogoPedido);
        valorCombo = 300;
        for (int i = 0; i < AtipoProductoI.size(); i++) {
            valorCombo = i + 301;
            if (tipoProducto == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=AtipoProductoI.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=AtipoProductoI.get(i).toString()%></option>
    <%
            }
        }
    %>
</select>
<%


        break;

    case 1://REGISTRA NUEVO PRODUCTO EN EL INVENTARIO
        operacionInventario = Integer.parseInt(request.getParameter("operacionInventario").toString());
        entInventario.setCodigoProducto(request.getParameter("CodigoNuevoInventario").toString());
        entInventario.setDescripcionProducto(request.getParameter("DescripcionNuevoInventario").toString());
        entInventario.setMarcaProducto(request.getParameter("MarcaNuevoInventario").toString());
        entInventario.setValorUnitario(Float.parseFloat(request.getParameter("ValorNuevoInventario").toString()));
        entInventario.setTipo(Integer.parseInt(request.getParameter("TipoProducto").toString()));
        entInventario.setCantidad(0);
        int resultadoNuevoInventario = NInventario.RegistraNuevoInventario(operacionInventario, entInventario);
        if (resultadoNuevoInventario != 0) {
            descripcionLog = "Registro Nuevo Producto";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
        }
%>
<%=resultadoNuevoInventario%>
<%
        break;
    case 2://CARGA LOS CHECKBOX DE LOS TPOS DE PAQUETES
        tipoPaquete = Integer.parseInt(request.getParameter("catalogoProducto").toString());
        String tablaPaquetes = NInventario.CargaTipoPaquetes(tipoPaquete);
%>
<%=tablaPaquetes%>
<%
        break;

    case 3://ASIGNA LOS PAQUETES AL NUEVO PRODUCTO
        entInventario.setCodigoProducto(request.getParameter("codigoProducto").toString());
        String codigosPaquetes = request.getParameter("eligidos").toString();
        String[] AcodigoPaquetes = codigosPaquetes.split("/");
        int resultadoPaquetes = 1;
        String result = "";

        for (int i = 0; i < AcodigoPaquetes.length; i++) {
            tipoPaquete = Integer.parseInt(AcodigoPaquetes[i]);
            resultadoPaquetes = NInventario.AsignaPaquetesInventario(entInventario, tipoPaquete);
            result += String.valueOf(resultadoPaquetes);
        }
%>
<%=result%>
<%

        break;
    case 4://Busca Productos por tipo
        operacionInventario = Integer.parseInt(request.getParameter("operacion").toString());
        entInventario.setTipo(Integer.parseInt(request.getParameter("idTipoProducto").toString()));
        parametroBusqueda = request.getParameter("parametroBusqueda");
        operacionPopUp = 1;
        String BuscaProductos = NInventario.CargaInventarioIngreso(operacionInventario, operacionPopUp, entInventario, parametroBusqueda);
%>
<%=BuscaProductos%>
<%
        break;
    case 5://busca producto por parametro de busqueda
        operacionInventario = Integer.parseInt(request.getParameter("operacion").toString());
        tipoProducto = Integer.parseInt(request.getParameter("idTipoProducto").toString());
        parametroBusqueda = request.getParameter("parametroBusqueda");
        operacionPopUp = Integer.parseInt(request.getParameter("operacionP").toString());
        BuscaProductos = NInventario.CargaInventarioIngreso(operacionInventario, operacionPopUp, entInventario, parametroBusqueda);
%>
<%=BuscaProductos%>
<%
        break;

    case 6://REGISTRA CANTIDAD EN EL INVENTARIO
        operacionInventario = Integer.parseInt(request.getParameter("operacionInventario").toString());
        entInventario.setCodigoProducto(request.getParameter("codigoProducto").toString());
        entInventario.setDescripcionProducto("");
        entInventario.setMarcaProducto("");
        entInventario.setValorUnitario(0);
        entInventario.setTipo(0);
        entInventario.setCantidad(Integer.parseInt(request.getParameter("cantidadProducto").toString()));
        int resultadoInventario = NInventario.RegistraInventario(operacionInventario, entInventario);
        if (resultadoInventario != 0) {
            descripcionLog = "Registro Inventario";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
        }
%>
<%=resultadoInventario%>
<%

        break;

    case 7:
        //CARGA LISTA DE TIPOS DE PRODUCTOS-------------------------------------------------------------------------------
        tipoProducto = Integer.parseInt(request.getParameter("idTipoProducto").toString());
%>
<select id="ddlTipoProductoConsulta" onclick="FiltraTipoProductosInventarioConsulta('0')" style="width: 300px;">
    <option value="0" >--TODOS--</option>
    <%
        codigoCatalogoPedido = 30;
        ArrayList AtipoProductoConsulta = NInventario.CargaTipoFiltrosInventario(codigoCatalogoPedido);
        valorCombo = 300;
        for (int i = 0; i < AtipoProductoConsulta.size(); i++) {
            valorCombo = i + 301;
            if (tipoProducto == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=AtipoProductoConsulta.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=AtipoProductoConsulta.get(i).toString()%></option>
    <%
            }
        }
    %>
</select>
<%="//"%>
<%
// CARGA CATALOGO DE PRODUCTOS PARA EDITARLO SI ES NECESARIO
    operacionInventario = 0;
    operacionPopUp = 1;
    entInventario.setTipo(0);
    parametroBusqueda = "";
    String resultadoConsultaInventario = NInventario.CargaInventarioConsulta(operacionInventario, operacionPopUp, entInventario, parametroBusqueda);

%>
<%=resultadoConsultaInventario%>   
<%
        break;

    case 8://Busca Productos por tipo PAGINA CONSULTA INVENTARIO
        operacionInventario = Integer.parseInt(request.getParameter("operacion").toString());
        entInventario.setTipo(Integer.parseInt(request.getParameter("idTipoProducto").toString()));
        parametroBusqueda = request.getParameter("parametroBusqueda");
        operacionPopUp = 1;
        BuscaProductos = NInventario.CargaInventarioConsulta(operacionInventario, operacionPopUp, entInventario, parametroBusqueda);
%>
<%=BuscaProductos%>
<%
        break;

    case 9://busca producto por parametro de busqueda
        operacionInventario = Integer.parseInt(request.getParameter("operacion").toString());
        tipoProducto = Integer.parseInt(request.getParameter("idTipoProducto").toString());
        parametroBusqueda = request.getParameter("parametroBusqueda");
        operacionPopUp = Integer.parseInt(request.getParameter("operacionP").toString());
        BuscaProductos = NInventario.CargaInventarioConsulta(operacionInventario, operacionPopUp, entInventario, parametroBusqueda);
%>
<%=BuscaProductos%>
<%
        break;

    case 10://CARGA LA CLASE Y EL TIPO DE INVENTARIO POR CADA PRODUCTO


        codigoProducto = request.getParameter("codigoProducto").toString();
        //CARGA LISTA DE TIPOS DE PRODUCTOS-------------------------------------------------------------------------------
        tipoProducto = Integer.parseInt(request.getParameter("idTipoProducto").toString());
%>
<select id="ddlClase_<%=codigoProducto%>" style="width: 300px;">
    <option value="0" >--TODOS--</option>
    <%
        codigoCatalogoPedido = 30;
        AtipoProductoConsulta = NInventario.CargaTipoFiltrosInventario(codigoCatalogoPedido);
        valorCombo = 300;
        for (int i = 0; i < AtipoProductoConsulta.size(); i++) {
            valorCombo = i + 301;
            if (tipoProducto == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=AtipoProductoConsulta.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=AtipoProductoConsulta.get(i).toString()%></option>
    <%
            }
        }
    %>
</select>
<%="//"%>
<%
    //CARGA LISTA DE TIPOS DE PRODUCTOS-------------------------------------------------------------------------------
    int tipoInventario = Integer.parseInt(request.getParameter("idTipoInventarioProducto").toString());
%>
<select id="ddlTipo_<%=codigoProducto%>" style="width: 150px; font: Arial, Helvetica, sans-serif; font-size: 14px; ">
    <option value="0" >--TODOS--</option>
    <%
        codigoCatalogoPedido = 60;
        AtipoProductoConsulta = NInventario.CargaTipoFiltrosInventario(codigoCatalogoPedido);
        valorCombo = 600;
        for (int i = 0; i < AtipoProductoConsulta.size(); i++) {
            valorCombo = i + 601;
            if (tipoInventario == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=AtipoProductoConsulta.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=AtipoProductoConsulta.get(i).toString()%></option>
    <%
            }
        }
    %>
</select>

<%
        break;


    case 11://GUARDA LA EDICION DEL PRODUCTO
        codigoProducto = request.getParameter("codigoProductoA").toString();
        entInventario.setCodigoProducto(codigoProducto);
        String codigoProductoN = request.getParameter("codigoProducto").toString();
        entInventario.setDescripcionProducto(request.getParameter("detalleProductoA").toString());
        int claseProducto = Integer.parseInt(request.getParameter("claseProductoA").toString());
        entInventario.setTipo(Integer.parseInt(request.getParameter("tipoProductoA").toString()));
        entInventario.setValorUnitario(Float.parseFloat(request.getParameter("valorProductoA").toString()));
        int resultadoEdicion = NInventario.EditaInventario(entInventario, codigoProductoN, claseProducto);
        if (resultadoEdicion != 1) {
            descripcionLog = "Edicion inventario";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
        }
%>
<%=resultadoEdicion + "//" + codigoProducto%>
<%
                break;

        }
    } catch (Exception ex) {
        descripcionLog = "Inventario - " + ex.getLocalizedMessage().toString();
        NLog.InsertaLogError(entLog, descripcionLog);
    }
%>
