<%@page import="java.util.Date"%>
<%@page import="INV_SINERCOM.AccesoDatos.ADPedido"%>
<%@page import="net.sf.jasperreports.engine.JasperFillManager"%>
<%@page import="net.sf.jasperreports.engine.JasperPrint"%>
<%@page import="net.sf.jasperreports.engine.util.JRLoader"%>
<%@page import="net.sf.jasperreports.engine.JasperReport"%>
<%@page import="java.util.Arrays"%>
<%@page import="java.util.ArrayList"%>
<%@page import="javax.swing.JOptionPane"%>
<%@page import="INV_SINERCOM.Negocio.NLog"%>
<%@page import="INV_SINERCOM.Negocio.*"%>
<%@page import="INV_SINERCOM.Entidades.*"%>
<%
    /// <summary>
    /// Aplicacin: INV_SINERCOM (INVENTARIO SINERCOM)
    /// Mdulo: REPORTES
    /// Fecha:2015/01/26 
    /// Empresa:SINERCOM
    /// HISTORIA DE CAMBIOS
    /// ----------------------------------------------------------------------
    /// FECHA         USUARIO     DESCRIPCION
    /// 2015/01/26    DRPAREDA    Creacion de Clase para manejo de REPORTES
    /// ----------------------------------------------------------------------
    /// </summary>


    EPedido entPedido = new EPedido();
    EInventario entInventario = new EInventario();
    ELog entLog = new ELog();
    //Variables utilizadas en el proceso de REPORTES
    int accion = 0;
    int valorCombo = 0;
    int tipoPaquete = 0;
    int operacionProducto = 0;
    int codigoCliente = 0;
    String descripcionLog = "";
    try {
        //ENVIA DATOS PARA LOG
        entLog.setIp(java.net.InetAddress.getLocalHost().getHostAddress());
        entLog.setUsuario(session.getAttribute("sesion_usuario").toString());
        //Guarda numero de accion que se realizara
        accion = Integer.parseInt(request.getParameter("accionReporte").toString());
        switch (accion) {


            case 0://CARGA LOS CLIENTES EN REPORTES
%>
<select id="ddlClientesPedido" style="width: 200px">
    <option value="0" >--Seleccione una opcin--</option>
    <%
        ArrayList AClientePedido = NPedido.CargaListaClientes(0);
        ArrayList ACodigoClientePedido = NPedido.CargaListaClientes(1);
        for (int i = 0; i < AClientePedido.size(); i++) {
            valorCombo = Integer.parseInt(ACodigoClientePedido.get(i).toString());
            if (tipoPaquete == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=AClientePedido.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=AClientePedido.get(i).toString()%></option>
    <%
            }
        }
    %>
</select> 
<%
        break;
    case 1:////GENERA EL REPORTE DE PEDIDOS
        operacionProducto = Integer.parseInt(request.getParameter("operacion").toString());
        codigoCliente = Integer.parseInt(request.getParameter("clientePedido").toString());
        String fechaInicio = request.getParameter("fechaInicio").toString();
        String fechaFin = request.getParameter("fechaFin").toString();
        String estadoPedido = request.getParameter("estadoPedido").toString();
        String resultadoReporte = NPedido.CargarReportePedidos(operacionProducto, codigoCliente, fechaInicio, fechaFin, estadoPedido);
%>     
<%=resultadoReporte%>               
<%
        break;

    case 2:////EXPORTA EL REPORTE DE PEDIDOS
        operacionProducto = Integer.parseInt(request.getParameter("operacion").toString());
        codigoCliente = Integer.parseInt(request.getParameter("clientePedido").toString());
        fechaInicio = request.getParameter("fechaInicio").toString();
        fechaFin = request.getParameter("fechaFin").toString();
        estadoPedido = request.getParameter("estadoPedido").toString();
        NPedido.GeneraReportesPedidos(operacionProducto, codigoCliente, fechaInicio, fechaFin, estadoPedido);
        break;

    case 3:////GENERA EL REPORTE DE INVENTARIO
        operacionProducto = Integer.parseInt(request.getParameter("operacion").toString());
        int estadoInventario = Integer.parseInt(request.getParameter("estadoInventario").toString());
        fechaInicio = request.getParameter("fechaInicio").toString();
        fechaFin = request.getParameter("fechaFin").toString();
        resultadoReporte = NInventario.CargarReporteInventario(operacionProducto, estadoInventario, fechaInicio, fechaFin);
%>     
<%=resultadoReporte%>               
<%
        break;

    case 4:////EXPORTA EL REPORTE DE INVENTARIO
        operacionProducto = Integer.parseInt(request.getParameter("operacion").toString());
        estadoInventario = Integer.parseInt(request.getParameter("estadoInventario").toString());
        fechaInicio = request.getParameter("fechaInicio").toString();
        fechaFin = request.getParameter("fechaFin").toString();
        NInventario.GeneraReportesIventario(operacionProducto, fechaInicio, fechaFin, estadoInventario);
        break;

    case 5:////GENERA EL REPORTE DE AUDITORIA
        operacionProducto = Integer.parseInt(request.getParameter("operacion").toString());
        fechaInicio = request.getParameter("fechaInicio").toString();
        fechaFin = request.getParameter("fechaFin").toString();
        resultadoReporte = NInventario.CargarReporteAuditoria(operacionProducto, fechaInicio, fechaFin);
%>     
<%=resultadoReporte%>               
<%
                break;

            case 6:////EXPORTA EL REPORTE DE AUDITORIA
                operacionProducto = Integer.parseInt(request.getParameter("operacion").toString());
                fechaInicio = request.getParameter("fechaInicio").toString();
                fechaFin = request.getParameter("fechaFin").toString();
                NInventario.GeneraReportesAuditoria(operacionProducto, fechaInicio, fechaFin);
                break;

        }
    } catch (Exception ex) {
        descripcionLog = "Reportes - " + ex.getLocalizedMessage().toString();
        NLog.InsertaLogError(entLog, descripcionLog);
    }
%>