<%@page import="javax.swing.text.Document"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.lang.reflect.Array"%>
<%@page import="javax.swing.JOptionPane"%>
<%@page import="org.apache.jasper.tagplugins.jstl.core.Redirect"%>
<%@page import="INV_SINERCOM.Negocio.NUsuario"%>
<%@page import="INV_SINERCOM.Negocio.NLog"%>
<%@page import="INV_SINERCOM.Entidades.*"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%
    /// <summary>
    /// Aplicación: INV_SINERCOM (INVENTARIO SINERCOM)
    /// Módulo: USUARIOS
    /// Fecha:2014/09/30 
    /// Empresa:SINERCOM
    /// HISTORIA DE CAMBIOS
    /// ----------------------------------------------------------------------
    /// FECHA         USUARIO     DESCRIPCION
    /// 2014/09/30    DRPAREDA    Creacion de Clase para manejo de USUARIOS
    /// ----------------------------------------------------------------------
    /// </summary>
    //Inicializacion de clase Usuarios
    EUsuario entUsuario = new EUsuario();
    ELog entLog = new ELog();

    int accion = 0;
    int indexCombo = 0;
    int indexComboEmpleado = 0;
    int codigoUsuario = 0;
    int validaEmpleado = 0;
    int operacionUsuario = 0;
    String usuario = "";
    String estadoUsuario = "";
    String mensaje = "";
    String descripcionLog = "";

    try {
        //ENVIA DATOS PARA LOG
        entLog.setIp(java.net.InetAddress.getLocalHost().getHostAddress());
        entLog.setUsuario(session.getAttribute("sesion_usuario").toString());

        //Guarda numero de accion que se realizara
        accion = Integer.parseInt(request.getParameter("accionUsuario").toString());

        switch (accion) {
            case 0: //Carga perfiles disponibles para los usuarios
                //CARGA LISTA DE EMPLEADOS-------------------------------------------------------------------------------------------
                indexComboEmpleado = Integer.parseInt(request.getParameter("indexEmpleado").toString());
%>
<select id="ddlEmpleado" style="background-color: darkgray; width: 257px;" disabled="true">
    <option value="0" >--Seleccione una opción--</option>
    <%
        ArrayList Empleados = NUsuario.CargaEmpleados(0);
        ArrayList CodigoEmpleados = NUsuario.CargaEmpleados(1);
        int valorCombo = 0;
        for (int i = 0; i < Empleados.size(); i++) {
            valorCombo = Integer.parseInt(CodigoEmpleados.get(i).toString());
            if (indexComboEmpleado == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=Empleados.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=Empleados.get(i).toString()%></option>
    <%
            }
        }
    %>
</select> 
<%

    indexCombo = Integer.parseInt(request.getParameter("indiceCombo").toString());
%>
<br></br>
<select id="ddlPerfilUsuario" style="background-color: darkgray; width: 257px;" disabled="true">
    <option value="0" >--Seleccione una opción--</option>
    <%
        ArrayList perfiles = NUsuario.CargaPerfilUsuario();
        valorCombo = 0;
        for (int i = 0; i < perfiles.size(); i++) {
            valorCombo = i + 1;
            if (indexCombo == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=perfiles.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=perfiles.get(i).toString()%></option>
    <%
            }
        }
    %>
</select> 

<%
        break;
    case 1: // Registra Usuario en la base de datos


        indexCombo = Integer.parseInt(request.getParameter("indexCombo").toString());
        indexComboEmpleado = Integer.parseInt(request.getParameter("indexEmpleado").toString());
        entUsuario.setUsuario(request.getParameter("nombreUsuario"));
        entUsuario.setContrasena(request.getParameter("claveUsuario"));
        usuario = request.getParameter("nombreUsuario").toString();
        int res = NUsuario.RegistraUsuario(entUsuario, indexCombo, indexComboEmpleado);
        if (res != 0) {
            descripcionLog = "Registro Usuario";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
            mensaje = "Registro Correcto";
%>
<div id="ResumenRegistro" class="resumen">
    Se registró correctamente el usuario: <%=usuario%>
    <br>
    El código de usuario es: <%=res%>
</div>
<%
} else {

%>
<%=res%>
<%
        }
        break;

    case 2: //Busca usuario en la base de datos
        String valorRetorno = "";
        String codigoUsuariostring = request.getParameter("codigoUsuario");
        if (codigoUsuariostring != "") {
            if (codigoUsuariostring.length() > 10) {
                valorRetorno = "";
                return;
            }
            codigoUsuario = Integer.parseInt(request.getParameter("codigoUsuario").toString());
        }
        operacionUsuario = Integer.parseInt(request.getParameter("operacionUsuario").toString());
        entUsuario.setUsuario(request.getParameter("nombreUsuario"));
        ArrayList DatosUsuario = NUsuario.BuscarUsuario(operacionUsuario, entUsuario, codigoUsuario);

        int contador = 1;
        for (int i = 0; i < DatosUsuario.size(); i++) {

            if (contador < DatosUsuario.size()) {
                valorRetorno = valorRetorno + DatosUsuario.get(i).toString() + "/";
            } else {
                valorRetorno = valorRetorno + DatosUsuario.get(i).toString();

            }
            contador++;
        }
%>
<%=valorRetorno%>
<%
        break;

    case 3: // Actualiza datos de usuario en base de datos

        codigoUsuario = Integer.parseInt(request.getParameter("codigoUsuario").toString());
        indexCombo = Integer.parseInt(request.getParameter("indexCombo").toString());
        indexComboEmpleado = Integer.parseInt(request.getParameter("indexEmpleado").toString());
        estadoUsuario = request.getParameter("estadoUsuario").toString();
        entUsuario.setContrasena(request.getParameter("claveUsuario"));
        int valorRetornoActualizacion = NUsuario.ActualizarUsuario(codigoUsuario, entUsuario, indexCombo, indexComboEmpleado, estadoUsuario);

        if (valorRetornoActualizacion != 0) {
            descripcionLog = "Actualizacion Usuario";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
        }
%>
<%=valorRetornoActualizacion%>
<%
        break;
    case 4: // Elimina usuario de la base de datos
        codigoUsuario = Integer.parseInt(request.getParameter("codigoUsuario").toString());
        int valorRetornoEliminar = NUsuario.EliminarUsuario(codigoUsuario);
        if (valorRetornoEliminar != 0) {
            descripcionLog = "Eliminacion Usuario";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
        }
%>
<%=valorRetornoEliminar%>
<%
        break;
    case 5://BUSCA SI UN EMPLEADO YA TIENE ASOCIADO ALGUN USUARIO
        operacionUsuario = Integer.parseInt(request.getParameter("operacion").toString());
        indexComboEmpleado = Integer.parseInt(request.getParameter("indexEmpleado").toString());
        codigoUsuario = Integer.parseInt(request.getParameter("codigoUsuario").toString());
        validaEmpleado = NUsuario.ValidaEmpleadoUsuario(operacionUsuario, indexComboEmpleado, codigoUsuario);
%>
<%=validaEmpleado%>     
<%

        break;

    case 6://DESCARGAR MANUAL USUARIO
        //NUsuario.DescargaManual();
        break;

    case 7:
        //CARGA LISTA DE EMPLEADOS-------------------------------------------------------------------------------------------
        indexComboEmpleado = Integer.parseInt(request.getParameter("indexEmpleado").toString());
%>
<select id="ddlEmpleado" style=" width: 257px;">
    <option value="0" >--Seleccione una opción--</option>
    <%
        Empleados = NUsuario.CargaEmpleados(0);
        CodigoEmpleados = NUsuario.CargaEmpleados(1);
        valorCombo = 0;
        for (int i = 0; i < Empleados.size(); i++) {
            valorCombo = Integer.parseInt(CodigoEmpleados.get(i).toString());
            if (indexComboEmpleado == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=Empleados.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=Empleados.get(i).toString()%></option>
    <%
            }
        }
    %>
</select> 
<%

    indexCombo = Integer.parseInt(request.getParameter("indiceCombo").toString());
%>
<br></br>
<select id="ddlPerfilUsuario" style=" width: 257px;">
    <option value="0" >--Seleccione una opción--</option>
    <%
        perfiles = NUsuario.CargaPerfilUsuario();
        valorCombo = 0;
        for (int i = 0; i < perfiles.size(); i++) {
            valorCombo = i + 1;
            if (indexCombo == valorCombo) {
    %> 
    <option value="<%=(valorCombo)%>" selected><%=perfiles.get(i).toString()%></option> 
    <%
    } else {
    %>
    <option value="<%=(valorCombo)%>"><%=perfiles.get(i).toString()%></option>
    <%
            }
        }
    %>
</select> 

<%
        break;

    case 8://cambia clave de usuario
        operacionUsuario = Integer.parseInt(request.getParameter("operacionUsuario").toString());
        entUsuario.setUsuario(request.getParameter("nombreUsuario"));
        entUsuario.setContrasena(request.getParameter("claveUsuario"));
        int resultadoCambio = NUsuario.CambiaClaveUsuario(operacionUsuario, entUsuario);
        if (resultadoCambio == 0) {
            session.setAttribute("sesion_cambioClave", "normal");
        }
%>
<%=resultadoCambio%>     
<%
                break;
        }
    } catch (Exception ex) {
        descripcionLog = "Usuario - " + ex.getLocalizedMessage().toString();
        NLog.InsertaLogError(entLog, descripcionLog);
    }
%>
