package INV_SINERCOM.AccesoDatos;

import java.sql.*;

public class ADLog {
    /// <summary>
    /// Aplicación: INV_SINERCOM (INVENTARIO SINERCOM)
    /// Módulo: LOG
    /// Fecha:2014/09/30 
    /// Empresa:SINERCOM
    /// HISTORIA DE CAMBIOS
    /// ----------------------------------------------------------------------
    /// FECHA         USUARIO     DESCRIPCION
    /// 2014/09/30    DRPAREDA    Creacion de Clase para manejo de GLOS
    /// ----------------------------------------------------------------------
    /// </summary> 

    //Inserta el registro de las transacciones en el aplicativo
    public static void InsertaLogTransaccion(String ip, String usuario, String accion) {
        try {
            CallableStatement proc = ADConexionMySQL.ObtenerConexion().prepareCall("{call PRO_INSERTA_LOG_TRANSACCIONES(?,?,?)}");
            proc.setString(1, ip);
            proc.setString(2, usuario);
            proc.setString(3, accion);
            proc.execute();
        } catch (SQLException e) {
        }
    }

    //Inserta registro de error en base de datos
    public static void InsertaLogError(String ip, String usuario, String error) {
        try {
            CallableStatement proc = ADConexionMySQL.ObtenerConexion().prepareCall("{call PRO_INSERTA_LOG_ERROR(?,?,?)}");
            proc.setString(1, ip);
            proc.setString(2, usuario);
            proc.setString(3, error);
            proc.execute();
        } catch (SQLException e) {
        }
    }
}
