    
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <script src="JS_general.js" type="text/javascript"></script>
        <link rel="stylesheet" href="css/General.css" type="text/css" media="screen"/> 
        <script type="text/javascript">
            document.oncontextmenu = function(){return false}
            var sesion="<%=session.getAttribute("sesion_usuario")%>"
            if (sesion=="null")
            {
                document.location.href="Error.jsp";
            }
        </script>
    </head>
    <body id="body" onload="OcultaBotonesEmpleado();">

        <div class="titulo" align="center">
            <table border="1" class="subtitulo"><tr><td>Administración de Empleados</td></tr></table>
        </div>
        <hr>
        <div id="botones" style="width: 100%;">
            <table border="0">
                <tr>
                    <td>
                        <button type="button" id="btnNuevoEmpleado" onclick="CargaNuevoEmpleado();"><div align="center" class="divboton"><img src="Iconos/nuevo.png" class="icoboton"><span class="textoboton">Nuevo</span></div></button>
                    </td>
                    <td>
                        <button type="button" id="btnLimpiarEmpleado" onclick="LimpiarFormularioEmpleado();"/><div align="center" class="divboton"><img src="Iconos/limpiar.png" class="icoboton"><span class="textoboton">Limpiar</span></div></button>       
                    </td>
                    <td>
                        <button type="button" id="btnAyuda" onclick="Abrir_ventanaAyuda('AyudaGeneral.jsp');"/><div align="center" class="divboton"><img src="Iconos/ayuda.png" class="icoboton"><span class="textoboton">Ayuda</span></div></button>         
                    </td>
                    <td>
                        <button type="button" id="btnRegistrarEmpleado" onclick="RegistrarEmpleado();" style="visibility: hidden;"/><div align="center" class="divboton"><img src="Iconos/registrar.png" class="icoboton"><span class="textoboton">Registrar</span></div></button>       
                    </td>
                    <td>
                        <button type="button" id="btnGuardarEmpleado" onclick="ActualizarEmpleado();" style="visibility: hidden;"><div align="center" class="divboton"><img src="Iconos/editar.png" class="icoboton"><span class="textoboton">Guardar</span></div></button>       
                    </td>
                    <td>
                        <button type="button" id="btnEliminarEmpleado" onclick="EliminarEmpleado();" style="visibility: hidden;"/><div align="center" class="divboton"><img src="Iconos/cancelar.png" class="icoboton"><span class="textoboton">Eliminar</span></div></button>       
                    </td>

                </tr>
            </table>
        </div>

        <div id="Registro">
            <table border="0" id="RegistroEmpleado" align="center" >
                <tbody>
                    <tr>
                        <td align="left">Código Empleado: </td>
                        <td align="center" >
                            <input type="text" class="txtClasico" name="txtCodigoEmpleado" id="txtCodigoEmpleado"  onkeypress="return validacionNumero(event);"/>
                        </td>
                        <td id="botones">
                            <button type="button" id="btnBuscarEmpleado" onclick="BuscarEmpleado();"/><div align="center" class="divboton"><img src="Iconos/buscar.png" class="icoboton"><span class="textoboton">Buscar</span></div></button>       
                        </td>

                    </tr>
                    <tr>
                        <td align="left">Cédula de Empleado: </td>
                        <td align="center" ><input type="text" class="txtClasico" name="txtCedulaEmpleado" id="txtCedulaEmpleado" value="" onkeypress="return validacionNumero(event);" onKeyUp="ValidaMaxCaracteres('txtCedulaEmpleado','10');"/></td>
                    </tr>
                    <tr>
                        <td align="left">Nombre de Empleado: </td>
                        <td align="center" ><input type="text" class="txtClasico" name="txtNombreEmpleado" id="txtNombreEmpleado" style="background-color: darkgray" disabled="true" value="" onkeypress="return validarLetrasE(event);"/></td>
                    </tr>
                    <tr>
                        <td align="left">Apellido de Empleado: </td>
                        <td align="center" ><input type="text" class="txtClasico" name="txtApellidoEmpleado" id="txtApellidoEmpleado" style="background-color: darkgray" disabled="true" value="" onkeypress="return validarLetrasE(event);"/></td>
                    </tr>
                    <tr>
                        <td align="left">Dirección de Empleado: </td>
                        <td align="center" ><input type="text" class="txtClasico" name="txtDireccionEmpleado" id="txtDireccionEmpleado" value="" style="background-color: darkgray" disabled="true"/></td>
                    </tr>
                    <tr>
                        <td align="left">Teléfono de Empleado: </td>
                        <td align="center" ><input type="text"  class="txtClasico" name="txtTelefonoEmpleado" id="txtTelefonoEmpleado" value="" style="background-color: darkgray" disabled="true" onkeypress="return validacionNumero(event);"/></td>
                    </tr>
                    <tr>
                        <td id ="Resumen" colspan="4">
                            <hr>
                            <div id="responseResumenRegistroEmpleado" aling="center"> </div>
                            <div id="response"></div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>




