/////
////////////////////////////////////////////FUNCIONES PARA MODULO DE EMPLEADO//////////////////////////////////////////
///
///
//habilita los campos para el registro de un nuevo EMPLEADO
function CargaNuevoEmpleado()
{
   
    Limpiardiv('responseResumenRegistroEmpleado')
    document.getElementById('btnGuardarEmpleado').style.visibility='hidden';
    OcultarElemento('btnGuardarEmpleado');
    document.getElementById('btnEliminarEmpleado').style.visibility='hidden';
    OcultarElemento('btnEliminarEmpleado');
    document.getElementById('btnRegistrarEmpleado').style.visibility='visible';
    MostrarElemento('btnRegistrarEmpleado');   
    DeshabilitarElemento('txtCodigoEmpleado')    
    HabilitarElemento('txtNombreEmpleado')
    HabilitarElemento('txtApellidoEmpleado')
    HabilitarElemento('txtCedulaEmpleado')
    HabilitarElemento('txtDireccionEmpleado')
    HabilitarElemento('txtTelefonoEmpleado')
    HabilitarElemento('btnRegistrarEmpleado')
    CambiaFondoElemento('txtNombreEmpleado','white')
    CambiaFondoElemento('txtApellidoEmpleado','white')
    CambiaFondoElemento('txtCedulaEmpleado','white')
    CambiaFondoElemento('txtDireccionEmpleado','white')
    CambiaFondoElemento('txtTelefonoEmpleado','white')    
    CambiaFondoElemento('txtCodigoEmpleado','darkgray')  
    LimpiarElemento('txtCodigoEmpleado')
    LimpiarElemento('txtNombreEmpleado')
    LimpiarElemento('txtApellidoEmpleado')
    LimpiarElemento('txtCedulaEmpleado')
    LimpiarElemento('txtDireccionEmpleado')
    LimpiarElemento('txtTelefonoEmpleado')   
    EnfocarElemento('txtCedulaEmpleado')
}
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionEmpleadoRegistra(url,div)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText; 
            if(TrimElemento(respuesta)=='0')
            {
                alert('ERROR al registrar, el Empleado ya existe')
            }
            else
            {
                alert('Registro Correcto');
                document.getElementById('btnRegistrarEmpleado').style.visibility='hidden';
                OcultarElemento('btnRegistrarEmpleado');
                document.getElementById(div).innerHTML=respuesta;      
            }
             
        }

    }

}
//Funcion para registrar un usuario en la base de datos.
function RegistrarEmpleado()
{
    var nombreEmpleado=AtrapaValorElemento('txtNombreEmpleado');
    var apellidoEmpleado=AtrapaValorElemento('txtApellidoEmpleado');
    var cedulaEmpleado=AtrapaValorElemento('txtCedulaEmpleado');
    var direccionEmpleado=AtrapaValorElemento('txtDireccionEmpleado');
    var telefonoEmpleado=AtrapaValorElemento('txtTelefonoEmpleado');

    if(nombreEmpleado!="" && apellidoEmpleado!="" && cedulaEmpleado!="" && direccionEmpleado!="" && telefonoEmpleado!="")
    {
        var confirmacion = confirm('¿Desea registrar el Empleado?')
        if (confirmacion)
        {
            _LlamarFuncionEmpleadoRegistra('ProcesarEmpleado.jsp?accionEmpleado=0&nombreEmpleado='+nombreEmpleado+'&apellidoEmpleado='+apellidoEmpleado+'&cedulaEmpleado='+cedulaEmpleado+'&direccionEmpleado='+direccionEmpleado+'&telefonoEmpleado='+telefonoEmpleado  , 'responseResumenRegistroEmpleado')
            LimpiarElemento('txtNombreEmpleado')
            LimpiarElemento('txtApellidoEmpleado')
            LimpiarElemento('txtCedulaEmpleado')
            LimpiarElemento('txtDireccionEmpleado')
            LimpiarElemento('txtTelefonoEmpleado')
            EnfocarElemento('txtNombreEmpleado')
            HabilitarElemento('txtCodigoEmpleado')
            CambiaFondoElemento('txtCodigoEmpleado','white')
        }
    }
    else
    {
        alert("ERROR existen campos vacios.")        
    }
}

//Limpia completamente el formulario de Empleado
function LimpiarFormularioEmpleado()
{
    HabilitarElemento('txtCodigoEmpleado')
    CambiaFondoElemento('txtCodigoEmpleado','white')
    HabilitarElemento('txtNombreEmpleado')
    LimpiarElemento('txtCodigoEmpleado')
    LimpiarElemento('txtNombreEmpleado')
    LimpiarElemento('txtApellidoEmpleado')
    LimpiarElemento('txtCedulaEmpleado')
    LimpiarElemento('txtDireccionEmpleado')
    LimpiarElemento('txtTelefonoEmpleado')
    Limpiardiv('responseResumenRegistroEmpleado')
    CambiaFondoElemento('txtNombreEmpleado','darkgray')
    CambiaFondoElemento('txtApellidoEmpleado','darkgray')
    CambiaFondoElemento('txtDireccionEmpleado','darkgray')
    CambiaFondoElemento('txtTelefonoEmpleado','darkgray')
    DeshabilitarElemento('txtNombreEmpleado')
    DeshabilitarElemento('txtApellidoEmpleado')
    DeshabilitarElemento('txtDireccionEmpleado')
    DeshabilitarElemento('txtTelefonoEmpleado')
    document.getElementById('btnGuardarEmpleado').style.visibility='hidden';
    OcultarElemento('btnGuardarEmpleado');
    document.getElementById('btnEliminarEmpleado').style.visibility='hidden';
    OcultarElemento('btnEliminarEmpleado');
    document.getElementById('btnRegistrarEmpleado').style.visibility='hidden';
    OcultarElemento('btnRegistrarEmpleado');
    
}


//Funcion que permite la busqueda de usuarios en base de datos
function _LlamarFuncionBuscarEmpleado(url)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var valorRetorno = new Array();
            respuesta=ajax.responseText;
            valorRetorno = respuesta.split('/');
            
            if(TrimElemento(valorRetorno[0])=="0" || TrimElemento(valorRetorno[0])=="")
            {
                alert("El Empleado no existe")
                LimpiarFormularioEmpleado()
                
            }
            else
            {
                document.getElementById('txtCodigoEmpleado').value=TrimElemento(valorRetorno[0])
                document.getElementById('txtNombreEmpleado').value=TrimElemento(valorRetorno[1])
                document.getElementById('txtApellidoEmpleado').value=TrimElemento(valorRetorno[2])
                document.getElementById('txtCedulaEmpleado').value=TrimElemento(valorRetorno[3])
                document.getElementById('txtDireccionEmpleado').value=TrimElemento(valorRetorno[4])
                document.getElementById('txtTelefonoEmpleado').value=TrimElemento(valorRetorno[5])
                DeshabilitarElemento('txtCodigoEmpleado')
                CambiaFondoElemento('txtTelefonoEmpleado','white')
                CambiaFondoElemento('txtCodigoEmpleado','darkgray')
                CambiaFondoElemento('txtDireccionEmpleado','white')
                HabilitarElemento('txtDireccionEmpleado') 
                HabilitarElemento('txtTelefonoEmpleado')
                HabilitarElemento('txtApellidoEmpleado')
                HabilitarElemento('txtNombreEmpleado')
                CambiaFondoElemento('txtNombreEmpleado','white')
                CambiaFondoElemento('txtApellidoEmpleado','white')
                document.getElementById('btnRegistrarEmpleado').style.visibility='hidden';
                OcultarElemento('btnRegistrarEmpleado');
                document.getElementById('btnGuardarEmpleado').style.visibility='visible';
                MostrarElemento('btnGuardarEmpleado'); 
                document.getElementById('btnEliminarEmpleado').style.visibility='visible';
                MostrarElemento('btnEliminarEmpleado'); 
            }
        }
    }
}
function OcultaBotonesEmpleado()
{
    document.getElementById('btnRegistrarEmpleado').style.visibility='hidden';
    OcultarElemento('btnRegistrarEmpleado');
    document.getElementById('btnGuardarEmpleado').style.visibility='hidden';
    OcultarElemento('btnGuardarEmpleado');
    document.getElementById('btnEliminarEmpleado').style.visibility='hidden';
    OcultarElemento('btnEliminarEmpleado');
}

//Busca un empleado en especifico por cedula o nombre y apellido
function BuscarEmpleado()
{
    Limpiardiv('responseResumenRegistroEmpleado')
    var codigoEmpleado=AtrapaValorElemento('txtCodigoEmpleado');
    var cedulaEmpleado=AtrapaValorElemento('txtCedulaEmpleado');
    var operacionUsuario=0;
    //.length
    if((codigoEmpleado.length>0 && cedulaEmpleado.length>0) || cedulaEmpleado.length>0)
    {
        operacionUsuario=1;
            
    }
    else if(codigoEmpleado.length>0)
    {
        operacionUsuario=0;   
    }
    _LlamarFuncionBuscarEmpleado('ProcesarEmpleado.jsp?accionEmpleado=1&codigoEmpleado='+codigoEmpleado+'&cedulaEmpleado='+cedulaEmpleado+'&operacionUsuario='+operacionUsuario, 'responseResumenRegistroEmpleado')      
}

//Actualiza informacion de Empleados
function ActualizarEmpleado()
{
    Limpiardiv('responseResumenRegistroEmpleado')
    var codigoEmpleado=AtrapaValorElemento('txtCodigoEmpleado')
    var nombreEmpleado=AtrapaValorElemento('txtNombreEmpleado');
    var apellidoEmpleado=AtrapaValorElemento('txtApellidoEmpleado');
    var cedulaEmpleado=AtrapaValorElemento('txtCedulaEmpleado');
    var direccionEmpleado=AtrapaValorElemento('txtDireccionEmpleado');
    var telefonoEmpleado=AtrapaValorElemento('txtTelefonoEmpleado');
    
    if((codigoEmpleado!='')|| (codigoEmpleado!='undefined') || (codigoEmpleado!='null'))
    {
        if(nombreEmpleado!="" && apellidoEmpleado!="" && cedulaEmpleado!="" && direccionEmpleado!="" && telefonoEmpleado!="")
        {

            _LlamarFuncionActualiza('ProcesarEmpleado.jsp?accionEmpleado=2&codigoEmpleado='+codigoEmpleado+'&nombreEmpleado='+nombreEmpleado+'&apellidoEmpleado='+apellidoEmpleado+'&cedulaEmpleado='+cedulaEmpleado+'&direccionEmpleado='+direccionEmpleado+'&telefonoEmpleado='+telefonoEmpleado )
        }
        else
        {
            alert('Existen campos Vacios.')
        }
    }
}
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionActualiza(url)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText; 
            if(TrimElemento(respuesta)=='0')
            {
                alert('Actualizacion Fallida')
            }
            else
            {
                alert('Actualizacion Correcta')
            }
             
        }

    }

}
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionElimina(url)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText; 
            if(TrimElemento(respuesta)=='0')
            {
                alert('Eliminacion Fallida')
            }
            else
            {
                alert('Eliminacion Correcta')
            }
        }

    }

}
//Funcion que permite eliminar un empleado en especifico
function EliminarEmpleado()
{
    Limpiardiv('responseResumenRegistroEmpleado')
    var answer = confirm('Desea eliminar el Empleado')
    if (answer)
    { 
        var codigoEmpleado=TrimElemento(AtrapaValorElemento('txtCodigoEmpleado'))
        _LlamarFuncionElimina('ProcesarEmpleado.jsp?accionEmpleado=3&codigoEmpleado='+codigoEmpleado)
        LimpiarFormularioEmpleado();
    }
}





///
////////////////////////////////////////////FUNCIONES PARA MODULO DE USUARIO//////////////////////////////////////////
///
//

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionLogin(url)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;   
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var valorRetorno = new Array();
            respuesta=ajax.responseText;
            valorRetorno = respuesta.split('//');
            
            if(TrimElemento(valorRetorno[0])=="")
            {
                alert('Datos Incorrectos');  
                LimpiarElemento('Lusuario');
                LimpiarElemento('Lcontrasena');
                EnfocarElemento('Lusuario');
               
            }
            else
            {            
                if(TrimElemento(valorRetorno[0])=='ACT')
                {
                    if(TrimElemento(valorRetorno[1])=='SI')
                    {
                        location.href="Index.jsp"; 
                    }
                    else
                    {
                        alert('Debe cambiar su contrasena')
                        location.href="CambiarClave.jsp";    
                    }
                    
                }
                else if(TrimElemento(valorRetorno[0])=='DES')
                {
                    alert('Usuario Desactivado');
                    LimpiarElemento('Lusuario');
                    LimpiarElemento('Lcontrasena');
                    EnfocarElemento('Lusuario');
                }
            }
                       
        }

    }

}



//Funcion para validar el login de usuario
function ValidaLogin()
{
    var nombreUsuario=AtrapaValorElemento('Lusuario');
    var claveUsuario=AtrapaValorElemento('Lcontrasena');
    if((usuario!='' ||usuario=='undefined') && (contrasena!='' || contrasena=='undefined'))
    {
        _LlamarFuncionLogin('ValidarUsuario.jsp?nombreUsuario='+nombreUsuario+'&claveUsuario='+claveUsuario)  
    }
    else
    {
        alert('Existen campos vacios.')
        EnfocarElemento('Lusuario');
    } 
}

//Funcion para cargar los perfiles disponibles para registrar un usuario
function CargarPerfilInicio(index,indexEmpleado)
{
    document.getElementById('btnResetearUsuario').style.visibility='hidden';
    OcultarElemento('btnResetearUsuario');
    document.getElementById('btnRegistrar').style.visibility='hidden';
    OcultarElemento('btnRegistrar');
    document.getElementById('btnGuardarUsuario').style.visibility='hidden';
    OcultarElemento('btnGuardarUsuario');
    document.getElementById('btnEliminarUsuario').style.visibility='hidden';
    OcultarElemento('btnEliminarUsuario');
    _LlamarFuncion('ProcesarUsuario.jsp?accionUsuario=0&indiceCombo='+index+'&indexEmpleado='+indexEmpleado,'response_ddl') 
}
//Funcion para cargar los perfiles disponibles para registrar un usuario
function CargarPerfil(index,indexEmpleado)
{
    document.getElementById('btnRegistrar').style.visibility='hidden';
    OcultarElemento('btnRegistrar');
    document.getElementById('btnGuardarUsuario').style.visibility='hidden';
    OcultarElemento('btnGuardarUsuario');
    document.getElementById('btnEliminarUsuario').style.visibility='hidden';
    OcultarElemento('btnEliminarUsuario');
    _LlamarFuncion('ProcesarUsuario.jsp?accionUsuario=7&indiceCombo='+index+'&indexEmpleado='+indexEmpleado,'response_ddl') 
}
function _LlamarFuncionValidaEmpleado(url,operacion)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    valorRetorno=null;
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            ValidaEmpleado(respuesta,operacion)
        }
    }
}
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionRegistraUsuario(url,div)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            if(TrimElemento(respuesta)=='0')
            {
                alert('ERROR al registrar, El usuario ya existe.')
            }
            else
            {
                alert('Registro Correcto');
                document.getElementById('btnRegistrar').style.visibility='hidden';
                OcultarElemento('btnRegistrar');
                document.getElementById(div).innerHTML=respuesta;      
            }
            
        }

    }

}

function ValidaEmpleado(respuesta,operacion)
{
    Limpiardiv('responseResumenRegistro')
    var usuario=AtrapaValorElemento('txtNombreUsuario');
    var clave=AtrapaValorElemento('txtClaveUsuario');
    var indexCombo=AtrapaCombobox('ddlPerfilUsuario');
    var indexEmpleado=AtrapaCombobox('ddlEmpleado');
    var codigo=TrimElemento(AtrapaValorElemento('txtCodigoEmpleado'))
    var estado=AtrapaCombobox('ddlEstadoCLiente');
    if(respuesta==0)
    {
        alert('EL Empleado ya esta asociado a un Usuario.')
    }
    else
    {
        if(operacion==0)
        {
            var confirmacion = confirm('Desea registrar el usuario?')
            if (confirmacion)
            {            
                _LlamarFuncionRegistraUsuario('ProcesarUsuario.jsp?accionUsuario=1&nombreUsuario='+usuario+'&claveUsuario='+clave+'&indexCombo='+indexCombo+'&indexEmpleado='+indexEmpleado , 'responseResumenRegistro')
                LimpiarElemento('txtNombreUsuario')
                LimpiarElemento('txtClaveUsuario')
                LimpiarCombobox('ddlPerfilUsuario')
                LimpiarCombobox('ddlEmpleado')
                EnfocarElemento('txtNombreUsuario')
                HabilitarElemento('txtCodigoEmpleado')
                CambiaFondoElemento('txtCodigoEmpleado','white')
                document.getElementById('btnRegistrar').style.visibility='hidden';
                OcultarElemento('btnRegistrar');
                
            }   
        }
        else
        {
            _LlamarFuncionActualiza('ProcesarUsuario.jsp?accionUsuario=3&codigoUsuario='+codigo+'&claveUsuario='+clave+'&indexEmpleado='+indexEmpleado+'&indexCombo='+indexCombo+'&estadoUsuario='+estado)   
        }
    }
}
//Funcion para registrar un usuario en la base de datos.
function RegistrarUsuario()
{
    var usuario=AtrapaValorElemento('txtNombreUsuario');
    var clave=AtrapaValorElemento('txtClaveUsuario');
    var indexCombo=AtrapaCombobox('ddlPerfilUsuario');
    var indexEmpleado=AtrapaCombobox('ddlEmpleado');
    var codigoUsuario=0;
    var operacion=0;
    if(usuario!="" && clave!="" && indexCombo!=0 && indexEmpleado!=0)
    {
        _LlamarFuncionValidaEmpleado('ProcesarUsuario.jsp?accionUsuario=5&indexEmpleado='+indexEmpleado+'&operacion='+codigoUsuario+'&codigoUsuario='+operacion,'0')    
    }
    else if(indexCombo==0)
    {
        alert("ERROR Seleccione un perfil de Usuario.")
    }
    else if(indexEmpleado==0)
    {
        alert("ERROR Seleccione un Empleado para asociarlo al usuario.")
    }
    else
    {
        alert("ERROR existen campos vacios.")        
    }
}
//habilita los campos para el registro de un nuevo usuario
function CargaNuevoUsuario()
{
    document.getElementById('btnResetearUsuario').style.visibility='hidden';
    OcultarElemento('btnResetearUsuario');
    document.getElementById('btnGuardarUsuario').style.visibility='hidden';
    OcultarElemento('btnGuardarUsuario');
    document.getElementById('btnEliminarUsuario').style.visibility='hidden';
    OcultarElemento('btnEliminarUsuario');
    document.getElementById('btnRegistrar').style.visibility='visible';
    MostrarElemento('btnRegistrar'); 
    LimpiarCombobox('ddlEmpleado');
    LimpiarCombobox('ddlPerfilUsuario');
    LimpiarCombobox('ddlEstadoCLiente');
    HabilitarElemento('ddlEmpleado')
    HabilitarElemento('ddlPerfilUsuario')
    CambiaFondoElemento('ddlEmpleado','white')
    CambiaFondoElemento('ddlPerfilUsuario','white')
    CambiaFondoElemento('ddlEstadoCLiente','white')
    Limpiardiv('responseResumenRegistro')
    AsignarValor('ddlEstadoCLiente', 'ACT')
    DeshabilitarElemento('ddlEstadoCLiente')
    DeshabilitarElemento('txtCodigoEmpleado')    
    HabilitarElemento('txtNombreUsuario')
    HabilitarElemento('txtClaveUsuario')
    CambiaFondoElemento('txtClaveUsuario','white')
    CambiaFondoElemento('ddlEstadoCLiente','darkgray')
    CambiaFondoElemento('txtCodigoEmpleado','darkgray')
    LimpiarElemento('txtCodigoEmpleado')
    LimpiarElemento('txtNombreUsuario')
    LimpiarElemento('txtClaveUsuario')
    EnfocarElemento('txtNombreUsuario')

}
//Funcion que permite la busqueda de usuarios en base de datos
function _LlamarFuncionBuscarUsuario(url)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var valorRetorno = new Array();
            respuesta=ajax.responseText;
            valorRetorno = respuesta.split('/');
            
            if(TrimElemento(valorRetorno[0])=="0" || TrimElemento(valorRetorno[0])=="")
            {
                alert("El usuario no existe")
                LimpiarFormulario()
               
            }
            else
            {
                document.getElementById('txtCodigoEmpleado').value=TrimElemento(valorRetorno[0])
                document.getElementById('txtNombreUsuario').value=TrimElemento(valorRetorno[1])
                CargarPerfil(TrimElemento(valorRetorno[3]),TrimElemento(valorRetorno[4]))
                document.getElementById('ddlEstadoCLiente').value=TrimElemento(valorRetorno[5])
                DeshabilitarElemento('txtClaveUsuario')
                DeshabilitarElemento('txtCodigoEmpleado')
                HabilitarElemento('ddlEmpleado');
                HabilitarElemento('ddlPerfilUsuario');
                CambiaFondoElemento('ddlEmpleado','white')
                CambiaFondoElemento('ddlPerfilUsuario','white')
                CambiaFondoElemento('ddlEstadoCLiente','white')
                CambiaFondoElemento('txtCodigoEmpleado','darkgray')
                CambiaFondoElemento('txtClaveUsuario','darkgray')
                HabilitarElemento('ddlEstadoCLiente')
                document.getElementById('btnRegistrar').style.visibility='hidden';
                OcultarElemento('btnRegistrar');
                document.getElementById('btnGuardarUsuario').style.visibility='visible';
                MostrarElemento('btnGuardarUsuario'); 
                document.getElementById('btnEliminarUsuario').style.visibility='visible';
                MostrarElemento('btnEliminarUsuario');
                document.getElementById('btnResetearUsuario').style.visibility='visible';
                MostrarElemento('btnResetearUsuario');
            }
            
        }
    }
}
function DesComboUsuario()
{
    DeshabilitarElemento('ddlEmpleado');
    DeshabilitarElemento('ddlPerfilUsuario');
    CambiaFondoElemento('ddlEmpleado','darkgray')
    CambiaFondoElemento('ddlPerfilUsuario', 'darkgray')
}

function ResetearUsuario()
{
    var confirmacion = confirm('Desea Resetear la clave del Usuario?')
    if (confirmacion)
    {
        var usuario=AtrapaValorElemento('txtNombreUsuario')
        var operacion=0;
        var nuevaClave='12345'; 
        _LlamarFuncionCambioClave('ProcesarUsuario.jsp?accionUsuario=8&operacionUsuario='+operacion+'&nombreUsuario='+usuario+'&claveUsuario='+nuevaClave,operacion);        
            
    }         
}

//Busca un usuario en especifico por codigo o nombre
function BuscarUsuario()
{
    Limpiardiv('responseResumenRegistro')
    var usuario=AtrapaValorElemento('txtNombreUsuario')
    var codigoUsuario=AtrapaValorElemento('txtCodigoEmpleado')
    var operacionUsuario=0;
    if((codigoUsuario.length>0 && usuario.length>0) || usuario.length>0)
    {
        operacionUsuario=1;      
    }
    else if(codigoUsuario.length>0)
    {
        operacionUsuario=0;
        
    }
    _LlamarFuncionBuscarUsuario('ProcesarUsuario.jsp?accionUsuario=2&nombreUsuario='+usuario+'&codigoUsuario='+codigoUsuario+'&operacionUsuario='+operacionUsuario)
}

//Limpia completamente el formulario de Usuario
function LimpiarFormulario()
{
    HabilitarElemento('txtCodigoEmpleado')
    CambiaFondoElemento('txtCodigoEmpleado','white')
    HabilitarElemento('txtNombreUsuario')
    LimpiarElemento('txtCodigoEmpleado')
    LimpiarElemento('txtNombreUsuario')
    LimpiarElemento('txtClaveUsuario')
    LimpiarCombobox('ddlEmpleado')
    LimpiarCombobox('ddlPerfilUsuario')
    LimpiarCombobox('ddlEstadoCLiente')
    Limpiardiv('responseResumenRegistro')  

    CambiaFondoElemento('txtNombreUsuario','white')
    CambiaFondoElemento('txtClaveUsuario','darkgray')
    CambiaFondoElemento('ddlEmpleado','darkgray')
    CambiaFondoElemento('ddlPerfilUsuario','darkgray')
    CambiaFondoElemento('ddlEstadoCLiente','darkgray')
    DeshabilitarElemento('txtClaveUsuario')
    DeshabilitarElemento('ddlEmpleado')
    DeshabilitarElemento('ddlPerfilUsuario')
    DeshabilitarElemento('ddlEstadoCLiente')
    document.getElementById('btnGuardarUsuario').style.visibility='hidden';
    OcultarElemento('btnGuardarUsuario');
    document.getElementById('btnEliminarUsuario').style.visibility='hidden';
    OcultarElemento('btnEliminarUsuario');
    document.getElementById('btnRegistrar').style.visibility='hidden';
    OcultarElemento('btnRegistrar');
    document.getElementById('btnResetearUsuario').style.visibility='hidden';
    OcultarElemento('btnResetearUsuario');
}

//Actualiza informacion de Usuarios
function ActualizarUsuario()
{
    var clave=TrimElemento(AtrapaValorElemento('txtClaveUsuario'))
    var indexCombo=AtrapaCombobox('ddlPerfilUsuario')
    var indexEmpleado=AtrapaCombobox('ddlEmpleado');
    var estado=AtrapaCombobox('ddlEstadoCLiente');
    var codigoUsuario=TrimElemento(AtrapaValorElemento('txtCodigoEmpleado'))
    var operacion=1;
    if(estado!=0 && indexCombo!=0 && indexEmpleado!=0)
    { 
        _LlamarFuncionValidaEmpleado('ProcesarUsuario.jsp?accionUsuario=5&indexEmpleado='+indexEmpleado+'&codigoUsuario='+codigoUsuario+'&operacion='+operacion,'1')

    }
    else if(indexCombo==0)
    {
        alert("ERROR Seleccione un perfil de Usuario.")
    }
    else if(indexEmpleado==0)
    {
        alert("ERROR Seleccione un Empleado para asociarlo al usuario.")
    }
    else if(estado==0)
    {
        alert("ERROR Seleccione un estado")
    }
    else 
    {
        alert("ERROR existen campos vacios.")  
    }
}

//Funcion que permite eliminar un usuario en especifico
function EliminarUsuario()
{
    Limpiardiv('responseResumenRegistro')
    var answer = confirm('Desea eliminar el Usuario')
    if (answer)
    { 
        var codigo=TrimElemento(AtrapaValorElemento('txtCodigoEmpleado'))
        _LlamarFuncionElimina('ProcesarUsuario.jsp?accionUsuario=4&codigoUsuario='+codigo)
        LimpiarFormulario();
    }
}
//Valida Estado ingresado para el usuario
function ValidaEstadousuario(id) 
{
    var Elemento=TrimElemento(document.getElementById(id).value)
    if(Elemento!="ACT" || Elemento!="DES")
    {
        LimpiarElemento(id);
        alert("Estado permitido ACT o DES")
    }
}


///
////////////////////////////////////////////FUNCIONES PARA MODULO DE CIENTE//////////////////////////////////////////
///
//
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionCombosClienteBusqueda(url,div)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            document.getElementById(div).innerHTML=respuesta;
            var combo=AtrapaCombobox('ddlTipoHospital')
            if(combo=="203")
            {
                DeshabilitarElemento('ddlTipoHospital')  
                CambiaFondoElemento('ddlTipoHospital','darkgray')              
            }
        }
    }
}

//Funcion para cargar los tipos de clientes disponibles para registrar un usuario
function CargarTipoClienteBusqueda(idTipoCliente,idTipoHospital,responseTipoCliente)
{
    document.getElementById('btnRegistrarCliente').style.visibility='hidden';
    OcultarElemento('btnRegistrarCliente');
    document.getElementById('btnGuardarCliente').style.visibility='hidden';
    OcultarElemento('btnGuardarCliente');
    document.getElementById('btnEliminarCliente').style.visibility='hidden';
    OcultarElemento('btnEliminarCliente');    
    _LlamarFuncionCombosClienteBusqueda('ProcesarCliente.jsp?accionCliente=5&indiceComboTipoCliente='+idTipoCliente+'&indiceComboTipoHospital='+idTipoHospital,responseTipoCliente) 
}

//Funcion para cargar los tipos de clientes disponibles para registrar un usuario
function CargarTipoCliente(idTipoCliente,idTipoHospital,responseTipoCliente)
{
    document.getElementById('btnRegistrarCliente').style.visibility='hidden';
    OcultarElemento('btnRegistrarCliente');
    document.getElementById('btnGuardarCliente').style.visibility='hidden';
    OcultarElemento('btnGuardarCliente');
    document.getElementById('btnEliminarCliente').style.visibility='hidden';
    OcultarElemento('btnEliminarCliente');    
    _LlamarFuncion('ProcesarCliente.jsp?accionCliente=0&indiceComboTipoCliente='+idTipoCliente+'&indiceComboTipoHospital='+idTipoHospital,responseTipoCliente) 
}

//Habilita los campos para el registro de un nuevo usuario
function CargaNuevoCliente()
{
    document.getElementById('btnGuardarCliente').style.visibility='hidden';
    OcultarElemento('btnGuardarCliente');
    document.getElementById('btnEliminarCliente').style.visibility='hidden';
    OcultarElemento('btnEliminarCliente');
    document.getElementById('btnRegistrarCliente').style.visibility='visible';
    MostrarElemento('btnRegistrarCliente'); 
    Limpiardiv('responseResumenRegistroCliente')
    HabilitarElemento('ddlTipoCliente')
    HabilitarElemento('ddlTipoHospital')
    LimpiarCombobox('ddlTipoCliente');
    LimpiarCombobox('ddlTipoHospital');
    DeshabilitarElemento('txtCodigoCliente')
    HabilitarElemento('txtNombreCliente')
    HabilitarElemento('txtRucCliente')
    HabilitarElemento('txtDireccionCliente')
    HabilitarElemento('txtTelefonoCliente')
    CambiaFondoElemento('txtCodigoCliente','darkgray')
    CambiaFondoElemento('txtNombreCliente','white')
    CambiaFondoElemento('txtDireccionCliente','white')
    CambiaFondoElemento('txtTelefonoCliente','white')
    CambiaFondoElemento('ddlTipoCliente','white')
    CambiaFondoElemento('ddlTipoHospital','white')
    LimpiarElemento('txtCodigoCliente')
    LimpiarElemento('txtNombreCliente')
    LimpiarElemento('txtRucCliente')
    LimpiarElemento('txtDireccionCliente')
    LimpiarElemento('txtTelefonoCliente')
    EnfocarElemento('txtRucCliente')

}



//Limpia completamente el formulario de Usuario
function LimpiarFormularioCliente()
{
    Limpiardiv('responseResumenRegistroCliente')
    CambiaFondoElemento('txtCodigoCliente','white')
    HabilitarElemento('txtCodigoCliente')
    HabilitarElemento('txtNombreCliente')
    LimpiarElemento('txtCodigoCliente')
    LimpiarElemento('txtNombreCliente')
    LimpiarElemento('txtRucCliente')
    LimpiarElemento('txtDireccionCliente')
    LimpiarElemento('txtTelefonoCliente')
    LimpiarCombobox('ddlTipoCliente')
    LimpiarCombobox('ddlTipoHospital')
    DeshabilitarElemento('txtDireccionCliente')
    DeshabilitarElemento('txtTelefonoCliente')
    DeshabilitarElemento('ddlTipoCliente')
    DeshabilitarElemento('ddlTipoHospital')
    DeshabilitarElemento('txtNombreCliente')
    CambiaFondoElemento('txtNombreCliente','darkgray')
    CambiaFondoElemento('ddlTipoHospital','darkgray')
    CambiaFondoElemento('ddlTipoCliente','darkgray')
    CambiaFondoElemento('txtTelefonoCliente','darkgray')
    CambiaFondoElemento('txtDireccionCliente','darkgray')
    document.getElementById('btnGuardarCliente').style.visibility='hidden';
    OcultarElemento('btnGuardarCliente');
    document.getElementById('btnEliminarCliente').style.visibility='hidden';
    OcultarElemento('btnEliminarCliente');
    document.getElementById('btnRegistrarCliente').style.visibility='hidden';
    OcultarElemento('btnRegistrarCliente');
}
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionRegitraCliente(url,div)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;   
            if(TrimElemento(respuesta)=='0')
            {
                alert('ERROR al registrar, el ciente ya existe')
            }
            else
            {
                alert('Registro Correcto');
                document.getElementById('btnRegistrarCliente').style.visibility='hidden';
                OcultarElemento('btnRegistrarCliente');
                document.getElementById(div).innerHTML=respuesta;      
            } 
        }

    }

}

//Funcion para registrar un usuario en la base de datos.
function RegistrarCliente(idTipoCliente,idTipoHospital)
{
    var nombreCliente=AtrapaValorElemento('txtNombreCliente');
    var rucCliente=AtrapaValorElemento('txtRucCliente');
    var indiceComboTipoCliente=AtrapaCombobox(idTipoCliente);
    var indiceComboTipoHospital=AtrapaCombobox(idTipoHospital);
    var direccionCliente=AtrapaValorElemento('txtDireccionCliente');
    var telefonoCliente=AtrapaValorElemento('txtTelefonoCliente');
    if(nombreCliente!=""  && rucCliente!="" && indiceComboTipoCliente!=0 && indiceComboTipoHospital!=0 && direccionCliente!="" && telefonoCliente!="")
    {
        var confirmacion = confirm('Desea registrar el cliente?')
        if (confirmacion)
        {
            _LlamarFuncionRegitraCliente('ProcesarCliente.jsp?accionCliente=1&nombreCliente='+nombreCliente+'&indiceComboTipoCliente='+indiceComboTipoCliente+'&indiceComboTipoHospital='+indiceComboTipoHospital+'&rucCliente='+rucCliente+'&direccionCliente='+direccionCliente+'&telefonoCliente='+telefonoCliente, 'responseResumenRegistroCliente')
            document.getElementById('btnRegistrarCliente').style.visibility='hidden';
            OcultarElemento('btnRegistrarCliente');
            LimpiarElemento('txtNombreCliente')
            LimpiarCombobox('ddlTipoCliente')
            LimpiarCombobox('ddlTipoHospital')
            LimpiarElemento('txtRucCliente')
            LimpiarElemento('txtDireccionCliente')
            LimpiarElemento('txtTelefonoCliente')
            EnfocarElemento('txtNombreCliente')
            HabilitarElemento('txtCodigoCliente')
            CambiaFondoElemento('txtCodigoCliente','white')
            CambiaFondoElemento('ddlTipoHospital','white')
        }
    }
    else if(indiceComboTipoCliente==0)
    {
        alert("ERROR Seleccione un Tipo de Cliente.")
    }
    else if(indiceComboTipoHospital==0)
    {
        alert("ERROR Seleccione un Tipo de Hospital.")
    }
    else
    {
        alert("ERROR existen campos vacios.")        
    }
}
//Filtra un tipo de cliente en especifico.
function FiltraTipoCliente()
{
    var idTipoCliente=AtrapaCombobox('ddlTipoCliente')
    if(idTipoCliente=='102')
    {
        AsignarValor('ddlTipoHospital','203')
        DeshabilitarElemento('ddlTipoHospital')
        CambiaFondoElemento('ddlTipoHospital','darkgray')
    }
    else
    {
        AsignarValor('ddlTipoHospital','0')
        HabilitarElemento('ddlTipoHospital')
        CambiaFondoElemento('ddlTipoHospital','white')    
    }

}

//FUncion que permite buscar un cliente
function _LlamarFuncionBuscarCliente(url)
{  
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var valorRetorno = new Array();
            respuesta=ajax.responseText;
            valorRetorno = respuesta.split('/');            
            if(TrimElemento(valorRetorno[0])=="0" || TrimElemento(valorRetorno[0])=="")
            {
                alert("El usuario no existe")
                LimpiarFormularioCliente()
                if(document.getElementById('ddlTipoCliente'))
                {
                    CargarTipoCliente(0,0,'response_ddltipoCliente')
                }
                document.getElementById('btnGuardarCliente').style.visibility='hidden';
                OcultarElemento('btnGuardarCliente');
            }
            else
            {
                document.getElementById('txtCodigoCliente').value=TrimElemento(valorRetorno[0])
                CargarTipoClienteBusqueda(TrimElemento(valorRetorno[1]),TrimElemento(valorRetorno[2]),'response_ddltipoCliente')
                document.getElementById('txtNombreCliente').value=TrimElemento(valorRetorno[3])
                document.getElementById('txtRucCliente').value=TrimElemento(valorRetorno[4])
                document.getElementById('txtDireccionCliente').value=TrimElemento(valorRetorno[5])
                document.getElementById('txtTelefonoCliente').value=TrimElemento(valorRetorno[6])
                DeshabilitarElemento('txtCodigoCliente')
                HabilitarElemento('txtDireccionCliente')
                HabilitarElemento('txtNombreCliente')
                CambiaFondoElemento('txtCodigoCliente','darkgray')              
                HabilitarElemento('txtTelefonoCliente')
                HabilitarElemento('ddlTipoCliente')
                HabilitarElemento('ddlTipoHospital')
                CambiaFondoElemento('txtNombreCliente','white')
                CambiaFondoElemento('ddlTipoHospital','white')
                CambiaFondoElemento('ddlTipoCliente','white')
                CambiaFondoElemento('txtTelefonoCliente','white')
                CambiaFondoElemento('txtDireccionCliente','white')
                
                document.getElementById('btnRegistrarCliente').style.visibility='hidden';
                OcultarElemento('btnRegistrarCliente');
                document.getElementById('btnGuardarCliente').style.visibility='visible';
                MostrarElemento('btnGuardarCliente'); 
                document.getElementById('btnEliminarCliente').style.visibility='visible';
                MostrarElemento('btnEliminarCliente'); 
            }
            
        }
    }
}

//Busca un usuario en especifico por codigo o nombre
function BuscarCliente()
{

    Limpiardiv('responseResumenRegistroCliente')
    var codigoCliente=AtrapaValorElemento('txtCodigoCliente')
    var nombreCliente=AtrapaValorElemento('txtNombreCliente')
    var rucCliente=AtrapaValorElemento('txtRucCliente')
    var operacionUsuario=0;
    if((rucCliente.length>0 && codigoCliente.length>0) || rucCliente>0)
    {
        operacionUsuario=1;      
    }
    else if(codigoCliente.length>0)
    {
        operacionUsuario=0;
        
    }
    _LlamarFuncionBuscarCliente('ProcesarCliente.jsp?accionCliente=2&nombreCliente='+nombreCliente+'&codigoCliente='+codigoCliente+'&rucCliente='+rucCliente+'&operacionUsuario='+operacionUsuario)
}

//Actualiza informacion de Cliente
function ActualizarCliente()
{
    Limpiardiv('responseResumenRegistroCliente')
    var codigoCliente=TrimElemento(AtrapaValorElemento('txtCodigoCliente'))
    var indiceComboTipoCliente=AtrapaCombobox('ddlTipoCliente')
    var indiceComboTipoHospital=AtrapaCombobox('ddlTipoHospital')
    var nombreCliente=AtrapaValorElemento('txtNombreCliente');
    var rucCliente=AtrapaValorElemento('txtRucCliente');
    var direccionCliente=AtrapaValorElemento('txtDireccionCliente');
    var telefonoCliente=AtrapaValorElemento('txtTelefonoCliente')
    
    if(nombreCliente!=""  && rucCliente!="" && indiceComboTipoCliente!=0 && indiceComboTipoHospital!=0 && direccionCliente!="" && telefonoCliente!="")
    { 
        _LlamarFuncionActualiza('ProcesarCliente.jsp?accionCliente=3&codigoCliente='+codigoCliente+'&nombreCliente='+nombreCliente+'&indiceComboTipoCliente='+indiceComboTipoCliente+'&indiceComboTipoHospital='+indiceComboTipoHospital+'&rucCliente='+rucCliente+'&direccionCliente='+direccionCliente+'&telefonoCliente='+telefonoCliente, 'response')
    }
    else if(indiceComboTipoCliente==0)
    {
        alert("ERROR Seleccione un Tipo de Cliente.")
    }
    else if(indiceComboTipoHospital==0)
    {
        alert("ERROR Seleccione un Tipo de Hospital.")
    }
    else
    {
        alert("ERROR existen campos vacios.")        
    }
}
//Funcion que permite eliminar un cliente en especifico
function EliminarCliente()
{
    Limpiardiv('responseResumenRegistroCliente')
    var answer = confirm('Desea eliminar el cliente')
    if (answer)
    { 
        var codigoCliente=TrimElemento(AtrapaValorElemento('txtCodigoCliente'))
        _LlamarFuncionElimina('ProcesarCliente.jsp?accionCliente=4&codigoCliente='+codigoCliente, 'response')
        LimpiarFormularioCliente()
    }
}



///
////////////////////////////////////////////FUNCIONES PARA MODULO DE NOTAS DE ENTREGA//////////////////////////////////////////
///
//
//Funcion que permite llamar a pagina de procesamiento mediante AJAX
function _LlamarFuncionRegistroPedido(url,div)
{  
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            document.getElementById(div).innerHTML=respuesta;   
        }
    }
}


//Limpia completamente el formulario de Pedidos
function LimpiarFormularioPedido()
{ 
    HabilitarElemento('txtBuscaProductoCodigo')
    HabilitarElemento('btnBuscarProductoCodigo')
    LimpiarElemento('txtBuscaProductoCodigo')
    LimpiarElemento('txtPaciente')
    LimpiarElemento('txtMedico')
    LimpiarComboboxEspecifico('ddlTipoPaquete',407)
    LimpiarCombobox('ddlTipoProducto')
    LimpiarElemento('txtPedido')
    
}

//Carga componentes para ingresar un nuevo pedido
function CargaNuevopedido()
{
    document.getElementById('IngresoPedido').style.visibility='visible';
    MostrarElemento('IngresoPedido');    
    document.getElementById('divReporte').style.visibility='hidden';
    OcultarElemento('divReporte');
    document.getElementById('btnMostrarNota').style.visibility='hidden';
    OcultarElemento('btnMostrarNota');
    HabilitarElemento('btnGuardarPedido');
    BorraContenidoTabla('tablaP')
    HabilitarElemento('ddlClientesPedido')
    HabilitarElemento('ddlTipoPaquete')
    HabilitarElemento('ddlTipoProducto')
    LimpiarCombobox('ddlClientesPedido');
    LimpiarCombobox('ddlTipoProducto');
    LimpiarComboboxEspecifico('ddlTipoPaquete', 407);
    CambiaFondoElemento('ddlClientesPedido','white')
    CambiaFondoElemento('ddlTipoProducto','white')
    CambiaFondoElemento('ddlTipoPaquete','white')
    HabilitarElemento('txtBuscaProductoCodigo')
    HabilitarElemento('txtPaciente')
    HabilitarElemento('txtMedico')
    HabilitarElemento('btnBuscarProductoCodigo')  
    LimpiarElemento('txtBuscaProductoCodigo')
    LimpiarElemento('txtPaciente')
    LimpiarElemento('txtMedico')
    CambiaFondoElemento('txtBuscaProductoCodigo','white')
    CambiaFondoElemento('txtPaciente','white')
    CambiaFondoElemento('txtMedico','white')
    document.getElementById('btnGuardarPedido').style.visibility='visible';
    MostrarElemento('btnGuardarPedido');
    document.getElementById('divProductosSeleccionadosCabecera').style.visibility='visible';
    document.getElementById('btnGeneraNota').style.visibility='hidden';
    OcultarElemento('btnGeneraNota');
    _LlamarFuncionIframe('ProcesarPedido.jsp?accionPedido=1','divProductos','tablaProductos');
    
}


//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionPaquetePedido(url)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            var paqueteProducto = new Array();
            if(TrimElemento(respuesta)!='0')
            {
                paqueteProducto = respuesta.split('//'); 
                for (var i = 0; i < paqueteProducto.length; i++) 
                {
                    AtrapaPedidoPaquete(paqueteProducto[i]);
                }
            }
        }
    }
}

//Atrapa informacion de producto seleccionado
function AtrapaPedidoPaquete(id)
{
    var seleccionProducto = new Array();
    seleccionProducto = TrimElemento(id).split('--');
    var TipoPaquete=AtrapaCombobox('ddlTipoPaquete');
    var tipoProducto=TrimElemento(seleccionProducto[2]);
    var instrumental='INSTRUMENTAL';   
    var pedido="";
    
    if(tipoProducto!=instrumental)
    {
        pedido=document.getElementById('SeleccionP');             
    }
    else if(tipoProducto==instrumental)
    {
        pedido=document.getElementById('SeleccionPI');    
    }   
    var fila="";
    var columna="";
    var index=TrimElemento(seleccionProducto[0]);
    var codigoFila='P'+index;
    if (!document.getElementById(codigoFila)) {
        var txt_id='txt'+TrimElemento(index);       
        var cantidadMaxima=TrimElemento(seleccionProducto[3]);
        if (TipoPaquete != 407) {
            fila=pedido.insertRow(i);
            fila.id=codigoFila;
            for (var i = 0; i <= seleccionProducto.length+1; i++) {
                columna=fila.insertCell(i); 
                if(i==(seleccionProducto.length-1))
                {
                    columna.innerHTML = '<input type="text" id="'+txt_id+'" onkeyup="ValidarCantidad('+cantidadMaxima+','+index+');" onkeypress="ValidaNumero();"/>';
                }
                else if(i==(seleccionProducto.length))
                {
                    columna.className='td30';
                    columna.innerHTML = 'S';
                }
                else if(i==(seleccionProducto.length+1))
                {    
                    
                    columna.innerHTML = '<input type="button" value="Eliminar" onclick="BorraFilaTabla('+index+');"/>';
                }
                else
                {    
                    columna.innerHTML = TrimElemento(seleccionProducto[i]);  
                }
            }
        }  
    }
}

//Carga paquete de productos
function CargaPaqueteProducto()
{
    var TipoPaquete=AtrapaCombobox('ddlTipoPaquete');
    var pedido=document.getElementById('SeleccionP');
    var cantidadFilas = pedido.rows.length;
    var idFila = new Array();
    if(cantidadFilas!=0)
    {
        var contadorFila=0;
        //guarda las filas a borrarse
        for(var i=0; i<cantidadFilas; i++) {
            var validadorPaquete=pedido.rows[i].cells[3].innerHTML;
            
            if(validadorPaquete=='S')
            {
                idFila[contadorFila]=pedido.rows[i].id;
                contadorFila++;
            }
        }    
        //borra filas con S de paquete
        for(var j=0; j<idFila.length; j++) {  
            var fila=document.getElementById(idFila[j]);
            fila.parentNode.removeChild(fila);                     
        } 
    } 
    if(TipoPaquete!=407)
    {   
        _LlamarFuncionPaquetePedido('ProcesarPedido.jsp?accionPedido=4&TipoPaquete='+TipoPaquete);         
    }

    
}


//Funcion para cargar los filtros de ordenes disponibles para registrar una nota de entrega
function CargarFiltrosOrden(idTipoPaquete,idTipoProducto,filtrarOrdenes)
{
    document.getElementById('btnGuardarPedido').style.visibility='hidden';
    OcultarElemento('btnGuardarPedido');
    document.getElementById('btnGeneraNota').style.visibility='hidden';
    OcultarElemento('btnGeneraNota');
    document.getElementById('divReporte').style.visibility='hidden';
    OcultarElemento('divReporte');
    
    _LlamarFuncionPedidoInicial('ProcesarPedido.jsp?accionPedido=0&idTipoPaquete='+idTipoPaquete+'&idTipoProducto='+idTipoProducto,filtrarOrdenes,'filtrarOrdenes2','filtrarOrdenes3') 
}

//Filtra un tipo de producto en especifico.
function FiltraTipoProductos(operacion)
{
    var idTipoProducto=AtrapaCombobox('ddlTipoProducto')
    var codigoProducto=AtrapaValorElemento('txtBuscaProductoCodigo')
    _LlamarFuncionIframe('ProcesarPedido.jsp?accionPedido=2&operacion='+operacion+'&idTipoProducto='+idTipoProducto+'&codigoProducto='+codigoProducto,'divProductos','tablaProductos');   
}

//Busca un Producto en especifico por codigo o nombre
function BuscarProducto(operacion)
{
    var idTipoProducto=AtrapaCombobox('ddlTipoProducto')
    var codigoProducto=AtrapaValorElemento('txtBuscaProductoCodigo')
    var operacionP=1
//_LlamarFuncionPopUp('ProcesarPedido.jsp?accionPedido=3&operacion='+operacion+'operacionP='+operacionP+'&idTipoProducto='+idTipoProducto+'&codigoProducto='+codigoProducto,'TablaProductos.jsp','divProductos')
}
//Atrapa informacion de producto seleccionado
function AtrapaPedido(id)
{
    var datosProducto=AtrapaValorElemento(id);
    var seleccionProducto = new Array();
    seleccionProducto = datosProducto.split('--');
    var tipoProducto=TrimElemento(seleccionProducto[2]);
    var instrumental='INSTRUMENTAL';   
    var pedido="";
    
    if(tipoProducto!=instrumental)
    {
        pedido=parent.document.getElementById('SeleccionP');             
    }
    else if(tipoProducto==instrumental)
    {
        pedido=parent.document.getElementById('SeleccionPI');    
    }
    var fila="";
    var columna="";
    var index=TrimElemento(seleccionProducto[0]);
    var codigoFila='P'+index;
    if (!parent.document.getElementById(codigoFila)) {
        var txt_id='txt'+TrimElemento(index);

        var cantidadMaxima=TrimElemento(seleccionProducto[3]);

        fila=pedido.insertRow(i);
        fila.id=codigoFila
        for (var i = 0; i <= seleccionProducto.length+1; i++) {
            columna=fila.insertCell(i); 
            
            if(i==(seleccionProducto.length-1))
            {
                columna.className='td101';
                columna.innerHTML = '<input class="td60" type="text" id="'+txt_id+'" onkeyup="ValidarCantidad('+cantidadMaxima+','+index+');" onkeypress="ValidaNumero();"/>';
            }
            else if(i==(seleccionProducto.length))
            {
                
                columna.className='td30';
                columna.innerHTML = 'N';                  
            }
            else if(i==(seleccionProducto.length+1))
            {
                columna.className='td101';
                columna.innerHTML = '<input class="td55" type="button" value="Eliminar" onclick="BorraFilaTabla('+index+');"/>';    
            }
            else if(i==0)
            {
                columna.className='td40';
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
            else
            {
                columna.className='td101';
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
        }
        
    }  
}

//Atrapa informacion de producto seleccionado
function AtrapaPedidoPopUp(id)
{
    var datosProducto=AtrapaValorElemento(id);
    var seleccionProducto = new Array();
    seleccionProducto = datosProducto.split('--');
    var tipoProducto=TrimElemento(seleccionProducto[2]);
    var instrumental='INSTRUMENTAL';   
    var pedido="";
    
    if(tipoProducto!=instrumental)
    {
        pedido=window.opener.document.getElementById('SeleccionP');             
    }
    else if(tipoProducto==instrumental)
    {
        pedido=window.opener.document.getElementById('SeleccionPI');    
    }
    var TipoPaquete=window.opener.document.getElementById('ddlTipoPaquete').value
    var fila="";
    var columna="";
    var index=TrimElemento(seleccionProducto[0]);
    var codigoFila='P'+index;
    if (!window.opener.document.getElementById(codigoFila)) {
        var txt_id='txt'+TrimElemento(index);
        var cantidadMaxima=TrimElemento(seleccionProducto[3]);
        fila=pedido.insertRow(i);
        fila.id=codigoFila
        for (var i = 0; i <= seleccionProducto.length+1; i++) {
            columna=fila.insertCell(i); 
            if(i==(seleccionProducto.length-1))
            {
                columna.innerHTML = '<input type="text" id="'+txt_id+'" onkeyup="ValidarCantidad('+cantidadMaxima+','+index+');" onkeypress="ValidaNumero();"/>';
            }
            else if(i==(seleccionProducto.length))
            {
                columna.className='td30';
                columna.innerHTML = 'N';                  
            }
            else if(i==(seleccionProducto.length+1))
            {
                columna.innerHTML = "<input type='button' value='Eliminar' onclick='BorraFilaTabla("+index+");'/>";    
            }
            else
            {    
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
        }
    } 
    this.window.close();
}

//Guarda el pedido realizado en base de datos
function GuardarPedido()
{
    var indiceHospital=AtrapaCombobox('ddlClientesPedido');
    var indicePaquetePedido=AtrapaCombobox('ddlTipoPaquete');
    var PacientePedido=AtrapaValorElemento('txtPaciente');
    var MedicoPedido=AtrapaValorElemento('txtMedico');
    var tablaP=document.getElementById('tablaP');
    var tablaPI=document.getElementById('tablaPI');
    var numFilas=tablaP.rows.length;
    var numFilasI=tablaPI.rows.length;
    if(PacientePedido!=""  && MedicoPedido!="" && indiceHospital!=0 && (numFilas!=0 || numFilasI !=0))
    {
        var numero=ValidaTabla('tablaP');
        var numeroI=ValidaTabla('tablaPI');
        if(numero!=1 && numeroI!=1)
        { 
            var confirmacion = confirm('Desea Guardar el Pedido?')
            if(confirmacion)
            {
                //Guarda Pedido
                _LlamarFuncionRetorno('ProcesarPedido.jsp?accionPedido=5&indiceHospital='+indiceHospital+'&PacientePedido='+PacientePedido+'&MedicoPedido='+MedicoPedido+'&indicePaquetePedido='+indicePaquetePedido,'response');
            }
        }
    }
    else if(numFilas==0 && numFilasI==0)
    {
        alert('No existen Productos seleccionados')
    }  
    else if(indiceHospital==0)
    {
        alert('Debe escoger un Hospital')
    }
    else
    {
        alert('Existen campos vacios') 
    }
    
}
//Guarda el pedido realizado en base de datos
function GuardarDetallesPedido(idPedido)
{
    var indicePaquetePedido=0;
    var tablaP=document.getElementById('tablaP')
    var tablaPI=document.getElementById('tablaPI')
    var codigoProducto=0;
    var cantidadProducto=0;
    var numero_items=0;
    var idtxt=0;
    var flag=0;
    var validaPaquete="";
    idPedido=TrimElemento(idPedido);
    if(idPedido==0)
    {
        alert('Error al registrar el pedido')   
    }
    else{     
        //Guardar detalles del pedido       
        for (var j = 0; j <tablaP.rows.length; j++) {
            codigoProducto=tablaP.rows[j].cells[0].innerHTML;
            idtxt='txt'+TrimElemento(codigoProducto);
            cantidadProducto=document.getElementById(idtxt).value;          
            numero_items=parseInt(numero_items)+parseInt(cantidadProducto)
            validaPaquete=tablaP.rows[j].cells[4].innerHTML;
            if(validaPaquete=='N')
            {
                indicePaquetePedido='407';    
            }
            else if(validaPaquete=='S')
            {
                indicePaquetePedido=AtrapaCombobox('ddlTipoPaquete');  
            }
            if(j==tablaP.rows.length-1)
            {
                flag=2;       
            }
            else
            {
                flag=1; 
            }
            _LlamarFuncion('ProcesarPedido.jsp?accionPedido=6&flag='+flag+'&codigoPedido='+TrimElemento(idPedido)+'&codigoProducto='+codigoProducto+'&indicePaquetePedido='+indicePaquetePedido+'&cantidadProducto='+cantidadProducto+'&numero_items='+numero_items,'response')  
        }
        alert('El pedido se guardo corectamente\nel Codigo de Pedido es: '+idPedido)
        for (j=0; j <tablaPI.rows.length; j++) {
            codigoProducto=tablaPI.rows[j].cells[0].innerHTML;
            idtxt='txt'+TrimElemento(codigoProducto);
            cantidadProducto=document.getElementById(idtxt).value;          
            numero_items=parseInt(numero_items)+parseInt(cantidadProducto)
            validaPaquete=tablaPI.rows[j].cells[4].innerHTML;
            if(validaPaquete=='N')
            {
                indicePaquetePedido='407';    
            }
            else if(validaPaquete=='S')
            {
                indicePaquetePedido=AtrapaCombobox('ddlTipoPaquete');  
            }
            if(j==tablaPI.rows.length-1)
            {
                flag=2;       
            }
            else
            {
                flag=1; 
            }
            _LlamarFuncion('ProcesarPedido.jsp?accionPedido=6&flag='+flag+'&codigoPedido='+TrimElemento(idPedido)+'&codigoProducto='+codigoProducto+'&indicePaquetePedido='+indicePaquetePedido+'&cantidadProducto='+cantidadProducto+'&numero_items='+numero_items,'response')  
        }
        document.getElementById('btnGeneraNota').style.visibility='visible';
       
        HabilitarElemento('btnGuardarPedido');
        BorraContenidoTabla('tablaP')
        BorraContenidoTabla('tablaPI')
        HabilitarElemento('ddlClientesPedido')
        HabilitarElemento('ddlTipoPaquete')
        HabilitarElemento('ddlTipoProducto')
        LimpiarCombobox('ddlClientesPedido');
        LimpiarCombobox('ddlTipoProducto');
        LimpiarComboboxEspecifico('ddlTipoPaquete', 407);
        CambiaFondoElemento('ddlClientesPedido','white')
        CambiaFondoElemento('ddlTipoProducto','white')
        CambiaFondoElemento('ddlTipoPaquete','white')
        HabilitarElemento('txtBuscaProductoCodigo')
        HabilitarElemento('txtPaciente')
        HabilitarElemento('txtMedico')
        HabilitarElemento('btnBuscarProductoCodigo')  
        LimpiarElemento('txtBuscaProductoCodigo')
        LimpiarElemento('txtPaciente')
        LimpiarElemento('txtMedico')
        CambiaFondoElemento('txtBuscaProductoCodigo','white')
        CambiaFondoElemento('txtPaciente','white')
        CambiaFondoElemento('txtMedico','white')
        document.getElementById('btnGeneraNota').style.visibility='visible';
        MostrarElemento('btnGeneraNota');
        document.getElementById('btnGuardarPedido').style.visibility='hidden';
        OcultarElemento('btnGuardarPedido');
    }
}

//Funcion que valida los campos llenos de la tabla de pedido
function ValidaTabla(tabla)
{
    var tablaP=document.getElementById(tabla)
    var codigoProducto=0;
    var cantidadProducto=0;
    var idtxt=0;
    var valida=0;
    var sb = new StringBuilder();
    for (var i = 0; i <tablaP.rows.length; i++) {
        codigoProducto=tablaP.rows[i].cells[0].innerHTML;
        idtxt='txt'+TrimElemento(codigoProducto);
        cantidadProducto=AtrapaValorElemento(idtxt)
        if (cantidadProducto=='' || cantidadProducto=='undefined' || cantidadProducto==null || cantidadProducto==0)
        {
            sb.append("0");
        }
        else
        {
            sb.append("1");
        }  
    }
    var consolidado=sb.toString()
    if(consolidado.indexOf('0') != -1)
    {
        valida=1;
        alert('La cantidad de los productos debe ser mayor a 0')
    }
    else
    {
        valida=2;
    }

    return valida;
}    
    
//Funcion que llena la ventana popUp    
function llenarPopUp()
{
    var operacion=1
    var operacionP=2
    var idTipoProducto=window.opener.document.getElementById('ddlTipoProducto').value
    var codigoProducto=window.opener.document.getElementById('txtBuscaProductoCodigo').value
    _LlamarFuncion('ProcesarPedido.jsp?accionPedido=3&operacion='+operacion+'&operacionP='+operacionP+'&idTipoProducto='+idTipoProducto+'&codigoProducto='+codigoProducto,'divProductos')
}
    
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionPopUp(url,pagina)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            Abrir_ventanaP(pagina);
        }
    }
}
function Abrir_ventanaAyuda (pagina) {
    var izquierda = (screen.availWidth - 1068) / 2; 
    var arriba = (screen.availHeight - 585) / 2; 
    var opciones="top="+arriba+",left="+izquierda +",titlebar=no, toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, width=1068, height=585, modal=yes";
    window.open(pagina,"popupId",opciones);
}
function Abrir_ventanaP (pagina) {
    var izquierda = (screen.availWidth - 1000) / 2; 
    var arriba = (screen.availHeight - 400) / 2; 
    var opciones="top="+arriba+",left="+izquierda +",titlebar=no, toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, width=1000, height=400, modal=yes";
    window.open(pagina,"popupId",opciones);
}

function Abrir_ventanaInventario (pagina) {
    var izquierda = (screen.availWidth - 270) / 2; 
    var arriba = (screen.availHeight - 400) / 2; 
    var opciones="top="+arriba+",left="+izquierda +",titlebar=no, toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=no, resizable=no, width=270, height=400, modal=yes";
    window.open(pagina,"popupId",opciones);
}

function Abrir_ventanaManual (pagina) {
    var izquierda = (screen.availWidth - 1100) / 2; 
    var arriba = (screen.availHeight - 600) / 2; 
    var opciones="top="+arriba+",left="+izquierda +",titlebar=no, toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1100, height=600, modal=yes";
    window.open(pagina,"popupId",opciones);
}

function cerrarP() { 
    var data = window.document.getElementById('val1').value;
    window.opener.document.getElementById('divProductos').innerHTML = "Este texto viene de la página hijo: "+data;   
    this.window.close(); 
} 

function GeneraReportePedido () {
    _LlamarFuncion('ProcesarPedido.jsp?accionPedido=7','response')
    alert('Nota de entrega generada exitosamente')
}

function MuestraNota () {

    document.getElementById('divReporte').style.visibility='visible';
    MostrarElemento('divReporte');    
    document.getElementById('IngresoPedido').style.visibility='hidden';
    OcultarElemento('IngresoPedido');
}

function MostrarNota () {
    var cogidoPedido=AtrapaValorElemento('txtPedido');
    if(cogidoPedido!="")
    {
        _LlamarFuncionNota('ProcesarPedido.jsp?accionPedido=15&cogidoPedido='+cogidoPedido);  
        alert('Nota de entrega generada exitosamente')
    }
    else
    {
        alert('Debe ingresar el código de pedido');
    }
    
    
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionNota(url)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
        }
    }
}

/////
////////////////////////////////////////////FUNCIONES PARA MODULO DE RECEPCION DE PEDIDO//////////////////////////////////////////
///
///

//FUncion que borra todo el formulario deRecpcion de pedido
function LimpiarRecepcionPedido () {

    LimpiarElemento('txtNumeroPedido');
    LimpiarElemento('txtFechaPedido');
    LimpiarCombobox('ddlClientesPedido');
}

//Busca lista de pedidos
function BuscaPedidos () 
{
    Limpiardiv('PedidosRecepcion');
    var codigoPedido=TrimElemento(AtrapaValorElemento('txtNumeroPedido'));
    var fechaPedido=AtrapaValorElemento('txtFechaPedido');
    var clientePedido=AtrapaCombobox('ddlClientesPedido');
    var operacion=0;
    if(codigoPedido.length>0)
    {
        operacion=1;   
        _LlamarFuncion('ProcesarPedido.jsp?accionPedido=9&operacion='+operacion+'&codigoPedido='+codigoPedido+'&fechaPedido='+fechaPedido+'&clientePedido='+clientePedido,'PedidosRecepcion');
    }
    else if(clientePedido!=0)
    {

        operacion=2;
        _LlamarFuncion('ProcesarPedido.jsp?accionPedido=9&operacion='+operacion+'&codigoPedido='+codigoPedido+'&fechaPedido='+fechaPedido+'&clientePedido='+clientePedido,'PedidosRecepcion');
    }
    else if (fechaPedido.length>0)
    {
        operacion=3;
        _LlamarFuncion('ProcesarPedido.jsp?accionPedido=9&operacion='+operacion+'&codigoPedido='+codigoPedido+'&fechaPedido='+fechaPedido+'&clientePedido='+clientePedido,'PedidosRecepcion');
    }
    else if(codigoPedido.length==0 && fechaPedido.length==0 && clientePedido==0 )
    {
        codigoPedido=0;
        fechaPedido="";
        clientePedido=0;    
        _LlamarFuncion('ProcesarPedido.jsp?accionPedido=9&operacion='+operacion+'&codigoPedido='+codigoPedido+'&fechaPedido='+fechaPedido+'&clientePedido='+clientePedido,'PedidosRecepcion');
    }
    document.getElementById('ListaPedido').style.visibility='visible';   

}
function AtrapaPedidoRecepcion(id)
{
    
    var Pedido=AtrapaValorElemento(id);  
    var DatosPedido = new Array();
    DatosPedido = Pedido.split('--');
    AsignarValor('txtPedido',DatosPedido[0]);
    AsignarValor('txtfechaEmision',DatosPedido[1]);
    AsignarValor('txtCliente',DatosPedido[2]);
    AsignarValor('txtMedico',DatosPedido[3]);
    AsignarValor('txtPaciente',DatosPedido[4]); 
    document.getElementById('divRegresar').style.visibility='visible';
    document.getElementById('ResumenPedido').style.visibility='visible'; 
    document.getElementById('divCabeceraP').style.visibility='visible';   
    OcultarElemento('ListaPedido');
    OcultarElemento('botones');
    OcultarElemento('filtros');
    _LlamarFuncionPedidoRecepcion('ProcesarPedido.jsp?accionPedido=10&codigoPedido='+DatosPedido[0]) 
    
}



//Funcion para cargar los filtros de ordenes disponibles para registrar una nota de entrega
function CargarClientesPedido(idTipoPaquete,idTipoProducto,filtrarOrdenes)
{
    //OcultarElemento('ResumenPedido');
    _LlamarFuncionRecepcion('ProcesarPedido.jsp?accionPedido=8&idTipoPaquete='+idTipoPaquete+'&idTipoProducto='+idTipoProducto,filtrarOrdenes) 
}

function ValidarCantidadRecepcion(enviado,txt)
{
    txt='txt'+txt;
    var cantidadRecepcion=document.getElementById(txt).value;
    if(cantidadRecepcion>enviado)
    {
        document.getElementById(txt).value ="";
        alert('La cantidad de Recepcion no puede ser superior a : '+enviado);
    }         
}

//Funcion para cargar los filtros de ordenes disponibles para registrar una nota de entrega
function RegresarBusquedaPedido()
{
    //parent.document.getElementById('cuerpo').document.location.href="RecepcionPedido.jsp";
    location.reload();
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionPedidoRecepcion(url)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            var pedidoRecepcion = new Array();
            if(TrimElemento(respuesta)!='0')
            {
                pedidoRecepcion = respuesta.split('//'); 
                for (var i = 0; i < pedidoRecepcion.length; i++) 
                {           
                    ArmaPedidoRecepcion(pedidoRecepcion[i]);
                }
            }
            
            

        }
    }
}

//Atrapa informacion de producto seleccionado
function ArmaPedidoRecepcion(id)
{
    var seleccionProducto = new Array();
    seleccionProducto = TrimElemento(id).split('--');  
    var pedido=document.getElementById('SeleccionPR');  
    var fila="";
    var columna="";
    var index=TrimElemento(seleccionProducto[0]);
    var codigoFila='P'+index;
    if (!document.getElementById(codigoFila)) {
        var txt_id='txt'+TrimElemento(index);       
        var cantidadEnviada=TrimElemento(seleccionProducto[3]);
        fila=pedido.insertRow(i);
        fila.id=codigoFila;
        for (var i = 0; i <=seleccionProducto.length; i++) {

            columna=fila.insertCell(i);   
             
            if(i==seleccionProducto.length)
            {
                columna.className='td120';
                columna.innerHTML = '<input class="td80" type="text" id="'+txt_id+'" onkeyup="ValidarCantidadRecepcion('+cantidadEnviada+','+index+');" onkeypress="ValidaNumero();"/>';
            }
            else if(i==0)
            {    
                columna.className='td101';
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
            else if(i==1 || i==2)
            {    
                columna.className='td250';
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
            else if(i==3)
            {    
                columna.className='td120';
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
            else if(i==4)
            {    
                columna.id='invisible';
             
            }
    
        }
        document.getElementById('invisible').style.visibility='hidden'; 
        
    }
}



//Guarda el pedido realizado en base de datos
function GuardarPedidoRecepcion()
{
    var tablaP=document.getElementById('tablaPR');
    var numero=ValidaTablaRecepcion('tablaPR');
    //var clientePorcentaje=AtrapaCombobox('ddlClientesPorcentaje');
    var clientePorcentaje=AtrapaValorElemento('txtClientePorcentaje');
    if(numero!=1 && clientePorcentaje!="")
    { 
        var confirmacion = confirm('Desea Guardar la Recepcion de Pedido?')
        if(confirmacion)
        {
            //Guarda Pedido recepcion detalles uno por uno
            GuardaRecepcionPedidoDetalles(clientePorcentaje);
        
        }
    } 
    else if(clientePorcentaje=="")
    {
        alert('Debe ingresar un porcentaje de Cliente')       
    }
}

function ValidaTablaRecepcion(tabla)
{
    var tablaP=document.getElementById(tabla)
    var codigoProducto=0;
    var cantidadProducto=0;
    var idtxt=0;
    var valida=0;
    var sb = new StringBuilder();
    for (var i = 0; i <tablaP.rows.length; i++) {
        codigoProducto=tablaP.rows[i].cells[0].innerHTML;
        idtxt='txt'+TrimElemento(codigoProducto);
        cantidadProducto=AtrapaValorElemento(idtxt)
        if (cantidadProducto=='' || cantidadProducto=='undefined' || cantidadProducto==null )
        {
            sb.append("0");
        }
        else
        {
            sb.append("1");
        }  
    }
    var consolidado=sb.toString()
    if(consolidado.indexOf('0') != -1)
    {
        valida=1;
        alert('la cantidad de los productos debe ser mayor o igual a 0')
    }
    else
    {
        valida=2;
    }

    return valida;
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionRecepcion(url,div1)
{ 
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText; 
            document.getElementById(div1).innerHTML=TrimElemento(TrimElemento(respuesta));    
        }   
    }
}
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionFinalRecepcion(url)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {        
            var respuesta=ajax.responseText; 
            if(TrimElemento(respuesta)==1)
            {
                alert('Error al registrar la recepcion de inventario, intente mas tarde.');
                        
            }
            else if(TrimElemento(respuesta)==3)
            {
                alert('Recepcion de Pedido Guardada exitosamente.');
            }
            else if(TrimElemento(respuesta)==4)
            {
                alert('Error existe descuadre de inventario al ingresar la recepcion.');
                   
            }   
            RegresarBusquedaPedido(); 
        }
            
            

        
    }
}


function GuardaRecepcionPedidoDetalles(clientePorcentaje)
{
    
    var tablaP=document.getElementById('tablaPR')
    var codigoPedido=document.getElementById('txtPedido').value;
    var codigoProducto=0;
    var cantidadProducto=0;
    var idtxt=0;  
    var sbProductos = new StringBuilder();
    var sbCodigos = new StringBuilder();
    //Guardar detalles del pedido para la recepcion     
    for (var j = 0; j <tablaP.rows.length; j++) {      

        if(j==tablaP.rows.length-1)
        {
            codigoProducto=tablaP.rows[j].cells[0].innerHTML;
            sbProductos.append(codigoProducto);
            idtxt='txt'+TrimElemento(codigoProducto);
            cantidadProducto=document.getElementById(idtxt).value;
            sbCodigos.append(cantidadProducto);
        }else
        {
                 
            codigoProducto=tablaP.rows[j].cells[0].innerHTML;
            sbProductos.append(codigoProducto);
            sbProductos.append('//');
            idtxt='txt'+TrimElemento(codigoProducto);
            cantidadProducto=document.getElementById(idtxt).value;
            sbCodigos.append(cantidadProducto);
            sbCodigos.append('//');
        }
 
    }
    var AcodigoProductos=sbProductos.toString();
    var AcantidadProductos=sbCodigos.toString();
    _LlamarFuncionFinalRecepcion('ProcesarPedido.jsp?accionPedido=11&AcodigoProductos='+AcodigoProductos+'&AcantidadProductos='+AcantidadProductos+'&codigoPedido='+codigoPedido+'&clientePorcentaje='+clientePorcentaje);
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionPedidoInicial(url,div1,div2,div3)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var valorRetorno = new Array();
            var respuesta=ajax.responseText; 
            valorRetorno = respuesta.split('//');
            if(TrimElemento(valorRetorno[0])!="0")
            {  
                document.getElementById(div1).innerHTML=TrimElemento(valorRetorno[0]);
                document.getElementById(div2).innerHTML=TrimElemento(valorRetorno[1]); 
                document.getElementById(div3).innerHTML=TrimElemento(valorRetorno[2]);
            }
               
        }  
    }
}

///
////////////////////////////////////////////FUNCIONES PARA EL MODULO DE INVENTARIO//////////////////////////////////////////
///

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionNuevoInventario(url)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            if(TrimElemento(respuesta)=='0')
            {
                alert('Registro correcto. \nAsigne paquetes al Producto');
                AsignaPaqueteNuevoInventario();
            
            }
            else if(TrimElemento(respuesta)=='1')
            {
                alert('Error al Registrar el nuevo producto al Inventario');
                LimpiarNuevoInventario();
            }
            else if(TrimElemento(respuesta)=='2')
            {
                alert('Error ese producto ya existe.');
                LimpiarNuevoInventario();
            }
               
        }   
    }
}
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionInventarioInicial(url,div1,div2,div3)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var valorRetorno = new Array();
            var respuesta=ajax.responseText; 
            valorRetorno = respuesta.split('//');
            if(TrimElemento(valorRetorno[0])!="0")
            {  
                document.getElementById(div1).innerHTML=TrimElemento(valorRetorno[0]);
                document.getElementById(div2).innerHTML=TrimElemento(valorRetorno[1]); 
                document.getElementById(div3).innerHTML=TrimElemento(valorRetorno[2]);
            }
               
        }  
    }
}

//Filtra un tipo de producto en especifico.
function FiltraTipoProductosInventario(operacion)
{
    var idTipoProducto=AtrapaCombobox('ddlTipoProducto2')   
    var parametroBusqueda=AtrapaValorElemento('txtBuscaProductoCodigo')
    _LlamarFuncion('ProcesarInventario.jsp?accionInventario=4&operacion='+operacion+'&idTipoProducto='+idTipoProducto+'&parametroBusqueda='+parametroBusqueda,'divIngresoInventario');   
}

//funcion que carga tipo de producto 
function CargaNuevoInventarioTipo()
{
    document.getElementById('btnRegresarInventario').style.visibility='hidden';
    OcultarElemento('btnRegresarInventario');
    document.getElementById('bntLimpiarInventario').style.visibility='hidden';
    OcultarElemento('bntLimpiarInventario');
    document.getElementById('btnGuardarNuevoInventario').style.visibility='hidden';
    OcultarElemento('btnGuardarNuevoInventario');
    document.getElementById('btnAsignarPaqueteNuevoInventario').style.visibility='hidden';
    OcultarElemento('btnAsignarPaqueteNuevoInventario');
    OcultarElemento('divNuevoProducto');  
    OcultarElemento('divPaquetes');
    var idTipoProducto=0;
    _LlamarFuncionInventarioInicial('ProcesarInventario.jsp?accionInventario=0&idTipoProducto='+idTipoProducto,'divTipoProducto','divIngresoInventario','filtrosTipoProducto');  
}
//Funcionq ue limpia formulario de registro de nuevo inventario
function LimpiarNuevoInventario()
{
    LimpiarElemento('txtCodigoNuevoInventario');
    LimpiarElemento('txtDescripcionNuevoInventario');
    LimpiarElemento('txtMarcaNuevoInventario');
    LimpiarElemento('txtValorNuevoInventario');
    LimpiarCombobox('ddlTipoProducto');
}

//funcion que habilita el formaulario de nuevo producto.
function CargaNuevoInventario()
{
    LimpiarNuevoInventario(); 
    document.getElementById('btnRegresarInventario').style.visibility='visible';
    MostrarElemento('btnRegresarInventario');  
    document.getElementById('btnNuevoProductoInventario').style.visibility='hidden';
    OcultarElemento('btnNuevoProductoInventario'); 
    document.getElementById('bntLimpiarInventario').style.visibility='visible';
    MostrarElemento('bntLimpiarInventario');
    document.getElementById('btnGuardarNuevoInventario').style.visibility='visible';
    MostrarElemento('btnGuardarNuevoInventario');
    document.getElementById('divNuevoProducto').style.visibility='visible';
    MostrarElemento('divNuevoProducto');
    document.getElementById('divInventario').style.visibility='hidden';
    OcultarElemento('divInventario'); 
    document.getElementById('btnGuardarInventario').style.visibility='hidden';
    OcultarElemento('btnGuardarInventario'); 
    document.getElementById('busqueda').style.visibility='hidden';
    OcultarElemento('busqueda');
    document.getElementById('txtBuscaProductoCodigo').style.visibility='hidden';
    OcultarElemento('txtBuscaProductoCodigo'); 
    document.getElementById('btnBuscarProductoCodigo').style.visibility='hidden';
    OcultarElemento('btnBuscarProductoCodigo'); 
//var idTipoProducto=0;
//_LlamarFuncion('ProcesarInventario.jsp?accionInventario=0&idTipoProducto='+idTipoProducto,'divTipoProducto');  
}

//funcion que guarda el nuevo producto
function GuardaNuevoInventario()
{
    var CodigoNuevoInventario=AtrapaValorElemento('txtCodigoNuevoInventario');
    var DescripcionNuevoInventario=AtrapaValorElemento('txtDescripcionNuevoInventario');
    var MarcaNuevoInventario=AtrapaValorElemento('txtMarcaNuevoInventario');
    var ValorNuevoInventario=AtrapaValorElemento('txtValorNuevoInventario');
    var ValorNuevoInventarioINT=parseFloat(ValorNuevoInventario);
    var TipoProducto=AtrapaValorElemento('ddlTipoProducto');
    var operacionInventario=0;
    
    //VALIDA QUE LOS CAMPOS NO SE ENCUENTREN VACIOS PARA GUARDAR.
    if(CodigoNuevoInventario!='' && DescripcionNuevoInventario!='' && MarcaNuevoInventario!='' && ValorNuevoInventario!='' && TipoProducto!='0')
    {
        //GUARDA EL NUEVO INVENTARIO
        var confirmacion = confirm('¿Esta seguro de guardar el nuevo Producto?')
        if (confirmacion){
            _LlamarFuncionNuevoInventario('ProcesarInventario.jsp?accionInventario=1&operacionInventario='+operacionInventario+'&CodigoNuevoInventario='+CodigoNuevoInventario+'&DescripcionNuevoInventario='+DescripcionNuevoInventario+'&MarcaNuevoInventario='+MarcaNuevoInventario+'&ValorNuevoInventario='+ValorNuevoInventario+'&TipoProducto='+TipoProducto);  
        }
        
    }
    else if(TipoProducto=="0")
    {
        alert('Seleccione un Tipo de producto');
    }
    else
    {
        alert('Existen campos Vacios'); 
    }   
}

function AsignaPaqueteNuevoInventario()
{
    var catalogoProducto=40;
    _LlamarFuncionT('ProcesarInventario.jsp?accionInventario=2&catalogoProducto='+catalogoProducto,'divCheckPaquetes');
    
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionT(url,div)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            document.getElementById('btnAsignarPaqueteNuevoInventario').style.visibility='visible';
            MostrarElemento('btnAsignarPaqueteNuevoInventario');
            document.getElementById('divPaquetes').style.visibility='visible';
            MostrarElemento('divPaquetes');
            document.getElementById('bntLimpiarInventario').style.visibility='hidden';
            OcultarElemento('bntLimpiarInventario'); 
            document.getElementById('btnGuardarNuevoInventario').style.visibility='hidden';
            OcultarElemento('btnGuardarNuevoInventario');
            document.getElementById('btnRegresarInventario').style.visibility='hidden';
            OcultarElemento('btnRegresarInventario');
            DeshabilitarElemento('txtCodigoNuevoInventario');
            CambiaFondoElemento('txtCodigoNuevoInventario','darkgray')
            DeshabilitarElemento('txtDescripcionNuevoInventario');
            CambiaFondoElemento('txtDescripcionNuevoInventario','darkgray')
            DeshabilitarElemento('txtMarcaNuevoInventario');
            CambiaFondoElemento('txtMarcaNuevoInventario','darkgray')
            DeshabilitarElemento('txtValorNuevoInventario');
            CambiaFondoElemento('txtValorNuevoInventario','darkgray')
            DeshabilitarElemento('ddlTipoProducto');
            CambiaFondoElemento('ddlTipoProducto','darkgray')
            
            var respuesta=ajax.responseText;
            document.getElementById(div).innerHTML=TrimElemento(respuesta);   
        }
    }
}

function GuardarAsignacionPaqueteNuevoInventario(nombreGrupo)
{
    var Paquetes = new Array();
    var contador=0
    var eligidos="";
    Paquetes = document.getElementsByName(nombreGrupo);
    for (var i = 0; i < Paquetes.length; i++){
        if(Paquetes[i].checked == true)
        {
            if(i==(Paquetes.length-1))
            {
                eligidos += Paquetes[i].value; 
            }
            else
            {
                eligidos += Paquetes[i].value + '/';   
            }
            contador++;
        }
    } // fin bucle
    
    if(contador == 0)
    {
        alert('Seleccione al menos 1 Paquete(N/A)');
    }
    else
    {
        var codigoProducto=AtrapaValorElemento('txtCodigoNuevoInventario');
        _LlamarFuncionAsignaPaquetes('ProcesarInventario.jsp?accionInventario=3&codigoProducto='+codigoProducto+'&eligidos='+eligidos);
    }
}

function ValidaCheckInventario(id)
{
    var paquete=document.getElementById(id);
    if(paquete.value=='407')
    {
        var APaquetes = new Array();
        APaquetes = document.getElementsByName('checkPaquetes[]'); 
        for (var i = 0; i < APaquetes.length; i++){
            APaquetes[i].checked=false;
        }
        paquete.checked=true;
    }
    else
    {
        document.getElementById('N407').checked=false;
    }
    
}

function recargarConsultaInventario()
{
    window.opener.location.reload(); 
}

function recargarInventario()
{
    location.reload(); 
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionAsignaPaquetes(url)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {            
            var respuesta=ajax.responseText;
            
            if(TrimElemento(respuesta)!="")
            {
                if(respuesta.indexOf('1') != -1)
                        
                {   
                    alert('Error al registrar los paquetes al producto');
                    recargarInventario();
                }
                else if(respuesta.indexOf('2') != -1)
                {
                    alert('Error el producto ya consta en el paquete');  
                    recargarInventario();
                    
                }
                else
                {
                    alert('Registro Correcto'); 
                    recargarInventario();
                }   
            }
              
        }
    }
}


//Busca un Producto en especifico por codigo o nombre
function BuscarProductoInventario(operacion)
{
    var idTipoProducto=AtrapaCombobox('ddlTipoProducto2')
    var parametroBusqueda=AtrapaValorElemento('txtBuscaProductoCodigo')
    var operacionP=1
    _LlamarFuncionPopUp('ProcesarInventario.jsp?accionInventario=5&operacion='+operacion+'operacionP='+operacionP+'&idTipoProducto='+idTipoProducto+'&parametroBusqueda='+parametroBusqueda,'TablaInventario.jsp','divProductos')
}

//Funcion que llena la ventana popUp    
function llenarPopUpInventario()
{
    var operacion=2
    var operacionP=2
    var idTipoProducto=window.opener.document.getElementById('ddlTipoProducto2').value
    var parametroBusqueda=window.opener.document.getElementById('txtBuscaProductoCodigo').value
    _LlamarFuncion('ProcesarInventario.jsp?accionInventario=5&operacion='+operacion+'&operacionP='+operacionP+'&idTipoProducto='+idTipoProducto+'&parametroBusqueda='+parametroBusqueda,'divProductos')
}



//Atrapa informacion de producto seleccionado
function AtrapaInventario(id)
{
    var datosProducto=AtrapaValorElemento(id);
    var seleccionProducto = new Array();
    seleccionProducto = datosProducto.split('--'); 
    var pedido=document.getElementById('SeleccionInventario');    
    var fila="";
    var columna="";
    var index=String(TrimElemento(seleccionProducto[0]));
    var codigoFila='P'+index;
    if (!document.getElementById(codigoFila)) {
        var txt_id='txt'+TrimElemento(index);
        fila=pedido.insertRow(i);
        fila.id=codigoFila
        fila.className='trI';
        for (var i = 0; i <= seleccionProducto.length+1; i++) {
            columna=fila.insertCell(i); 
            if(i==(seleccionProducto.length))
            {
                columna.className='tdI100';
                columna.innerHTML = '<input class="td2I100" type="text" id="'+txt_id+'" onkeyup="ValidarCantidadMinimaInventario('+index+');" onkeypress="ValidaNumero();"/>';
            }
            else if(i==(seleccionProducto.length+1))
            {
                columna.className='tdI100';
                columna.innerHTML = '<input class="td2I100" type="button" value="Eliminar" onclick="BorraFilaTabla('+index+');"/>';    
            }

            else if (i==1)
            {
                columna.className='td2I200';
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
            else
            {
                columna.className='tdI100';
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
        }
        
    }  
}

//Atrapa informacion de producto seleccionado
function AtrapaInventarioPopUp(id)
{
    var datosProducto=AtrapaValorElemento(id);
    var seleccionProducto = new Array();
    seleccionProducto = datosProducto.split('--'); 
    var pedido=window.opener.document.getElementById('SeleccionInventario');
    var fila="";
    var columna="";
    var index=TrimElemento(seleccionProducto[0]);
    var codigoFila='P'+index;
    if (!window.opener.document.getElementById(codigoFila)) {
        var txt_id='txt'+TrimElemento(index);
        fila=pedido.insertRow(i);
        fila.id=codigoFila
        fila.className='trI';
        for (var i = 0; i <= seleccionProducto.length+1; i++) {
            columna=fila.insertCell(i); 
            
            if(i==(seleccionProducto.length))
            {
                columna.className='tdI100';
                columna.innerHTML = '<input class="td2I100" type="text" id="'+txt_id+'" onkeyup="ValidarCantidadMinimaInventario('+index+');" onkeypress="ValidaNumero();"/>';
            }
            else if(i==(seleccionProducto.length+1))
            {
                columna.className='tdI100';
                columna.innerHTML = '<input class="td2I100" type="button" value="Eliminar" onclick="BorraFilaTabla('+index+');"/>';    
            }

            else if (i==1)
            {
                columna.className='td2I200';
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
            else
            {
                columna.className='tdI100';
                columna.innerHTML = TrimElemento(seleccionProducto[i]);  
            }
        }
        
    }  
    this.window.close();
}

//Funcion que valida el numero valor que no exceda la cantidad existente
function ValidarCantidadMinimaInventario(txt)
{
    txt='txt'+txt;
    var cantidad=document.getElementById(txt).value;
    if (parseInt(cantidad)<=0) {
        document.getElementById(txt).value ="";
        alert('Cantidad minima: 1');
    }
}

//Guarda el inventario realizado en base de datos
function GuardaInventario()
{
    var tablaI=document.getElementById('tablaInventario');
    var numFilas=tablaI.rows.length;
    if(numFilas !=0)
    {
        var numero=ValidaTabla('tablaInventario');
        if(numero!=1)
        { 
            var confirmacion = confirm('Desea Guardar el Inventario?')
            if(confirmacion)
            {
                //Guarda inventario
                GuardarDetallesInventario();
            }
        }
    }
    else if(numFilas==0)
    {
        alert('No existen Productos seleccionados')
    }    
}
//Guarda el pedido realizado en base de datos
function GuardarDetallesInventario()
{
    var operacionInventario=1;
    var tablaP=document.getElementById('SeleccionInventario')
    var codigoProducto=0;
    var cantidadProducto=0;
    var idtxt=0;
    
    //Guardar detalles del inventario       
    for (var j = 0; j <tablaP.rows.length; j++) {
        codigoProducto=tablaP.rows[j].cells[0].innerHTML;
        idtxt='txt'+TrimElemento(codigoProducto);
        cantidadProducto=document.getElementById(idtxt).value;          
        _LlamarFuncionInventario('ProcesarInventario.jsp?accionInventario=6&operacionInventario='+operacionInventario+'&codigoProducto='+codigoProducto+'&cantidadProducto='+cantidadProducto);     
    }
    alert('Registro correcto.');
    recargarInventario();

}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionInventario(url)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;

        }   
    }
}


//funcion que carga tipo de producto 
function CargaConsultaInventarioInicial()
{
    var idTipoProducto=0;
    _LlamarFuncionConsultaInventarioInicial('ProcesarInventario.jsp?accionInventario=7&idTipoProducto='+idTipoProducto,'filtrosTipoProducto','divListaInventarioConsulta');  
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionConsultaInventarioInicial(url,div1,div2)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var valorRetorno = new Array();
            var respuesta=ajax.responseText; 
            valorRetorno = respuesta.split('//');
            if(TrimElemento(valorRetorno[0])!="0")
            {  
                document.getElementById(div1).innerHTML=TrimElemento(valorRetorno[0]);
                document.getElementById(div2).innerHTML=TrimElemento(valorRetorno[1]); 
            }
               
        }  
    }
}

//Filtra un tipo de producto en especifico.
function FiltraTipoProductosInventarioConsulta(operacion)
{
    var idTipoProducto=AtrapaCombobox('ddlTipoProductoConsulta')   
    var parametroBusqueda=AtrapaValorElemento('txtBuscaProductoCodigo')
    _LlamarFuncion('ProcesarInventario.jsp?accionInventario=8&operacion='+operacion+'&idTipoProducto='+idTipoProducto+'&parametroBusqueda='+parametroBusqueda,'divListaInventarioConsulta');   
}

//Funcion que llena la ventana popUp    
function llenarPopUpConsultaInventario()
{
    var operacion=1
    var operacionP=2
    var idTipoProducto=window.opener.document.getElementById('ddlTipoProductoConsulta').value
    var parametroBusqueda=window.opener.document.getElementById('txtBuscaProductoCodigo').value
    _LlamarFuncion('ProcesarInventario.jsp?accionInventario=9&operacion='+operacion+'&operacionP='+operacionP+'&idTipoProducto='+idTipoProducto+'&parametroBusqueda='+parametroBusqueda,'divProductos')
}


//Funcion que permite edicion de inventario    
function EditaInventario(codigoProducto,operacionPopUp)
{  
    var codigoProductoA=String(TrimElemento(AtrapaValorElemento('td_'+codigoProducto)));
    var detalleProductoA=String(TrimElemento(AtrapaValorElemento('tdDet_'+codigoProducto)));
    var claseProductoA=String(TrimElemento(AtrapaValorElemento('tdClase_'+codigoProducto)));
    var AclaseProductoA= new Array();
    AclaseProductoA=claseProductoA.split('--');
    var tipoProductoA=String(TrimElemento(AtrapaValorElemento('tdTipo_'+codigoProducto)));
    var AtipoProductoA= new Array();
    AtipoProductoA=tipoProductoA.split('--');   
    var valorProductoA=String(TrimElemento(AtrapaValorElemento('tdValor_'+codigoProducto)));
    
    var consolidadoAntiguoAceptar=codigoProductoA.toString()+'//'+detalleProductoA.toString()+'//'+AclaseProductoA[0].toString()+'//'+AtipoProductoA[0].toString()+'//'+valorProductoA.toString();
    var consolidadoAntiguoCancelar=codigoProductoA.toString()+'//'+detalleProductoA.toString()+'//'+AclaseProductoA[1].toString()+'//'+AtipoProductoA[1].toString()+'//'+valorProductoA.toString();
    document.getElementById('td_'+codigoProducto).innerHTML="<input type='text' name='txtCodigo_"+codigoProductoA+"' id='txtCodigo_"+codigoProductoA+"' style='width: 69px;' value='"+codigoProductoA+"' onkeypress='return ValidaCaracteres(event)'/>";
    document.getElementById('tdDet_'+codigoProducto).innerHTML="<input type='text' name='txtDet_"+codigoProductoA+"' id='txtDet_"+codigoProductoA+"'style='width: 149px;' value='"+detalleProductoA+"'/>";
    document.getElementById('tdEdit_'+codigoProducto).innerHTML="<a id='refA_" + codigoProductoA + "' value='"+consolidadoAntiguoAceptar+"' href=javascript:EditaInventarioConsulta('" + codigoProductoA + "','"+operacionPopUp+"');><img src='Iconos/aceptar.png'></a><a id='refC_" + codigoProductoA + "' value='"+consolidadoAntiguoCancelar+"' href=javascript:CancelaEdicionInventario('" + codigoProductoA + "','"+operacionPopUp+"');><img src='Iconos/cancelar.png'></a>";
    document.getElementById('tdEdit_'+codigoProducto).value='1';    
    document.getElementById('tdValor_'+codigoProducto).innerHTML="<input type='text' name='txtValor_"+codigoProductoA+"' id='txtValor_"+codigoProductoA+"' style='width: 40px;' value='"+valorProductoA+"' onkeypress='ValidaNumeroDecimal();'/>";
    
    _LlamarFuncionCargaDatosporInventario('ProcesarInventario.jsp?accionInventario=10&idTipoProducto='+AclaseProductoA[0]+'&idTipoInventarioProducto='+AtipoProductoA[0]+'&codigoProducto='+codigoProductoA,codigoProductoA);
    DeshabilitarElemento('ddlTipoProductoConsulta')    
    CambiaFondoElemento('ddlTipoProductoConsulta','darkgray') 
}
//FUNCION QUE VALIDA SI EXISTE EDICION DE PRODUCTOS PARA DESACTIVAR FILTROS
function ValidaFiltrosInventario(tabla)
{
    var tablaP=document.getElementById(tabla)
    var codigofiltro=0;
    var valida=0;
    var sb = new StringBuilder();
    for (var i = 0; i <tablaP.rows.length; i++) {
        codigofiltro=tablaP.rows[i].cells[0].value;
        if (codigofiltro!='0')
        {
            sb.append("0");
        }
        else
        {
            sb.append("1");
        }  
    }
    var consolidado=sb.toString()
    if(consolidado.indexOf('0') != -1)
    {
        valida=1;
    }
    else
    {
        valida=2;
    }

    return valida;
}

function EditaInventarioConsulta(codigoProductoA,operacionPopUp)
{
    var consolidadoAntiguo=AtrapaValorElemento('refA_'+codigoProductoA);
    var codigoProducto=String(TrimElemento(AtrapaValorElemento('txtCodigo_'+codigoProductoA)));
    var detalleProductoA=String(TrimElemento(AtrapaValorElemento('txtDet_'+codigoProductoA)));
    
    var claseProductoA=String(TrimElemento(AtrapaCombobox('ddlClase_'+codigoProductoA)));
    var indiceClase=document.getElementById('ddlClase_'+codigoProductoA).selectedIndex;
    var nombreClase= document.getElementById('ddlClase_'+codigoProductoA).options[indiceClase].text;
    var codigoClase=document.getElementById('ddlClase_'+codigoProductoA).value;
    
    var tipoProductoA=String(TrimElemento(AtrapaCombobox('ddlTipo_'+codigoProductoA)));
    var indiceTipo=document.getElementById('ddlTipo_'+codigoProductoA).selectedIndex;
    var nombreTipo= document.getElementById('ddlTipo_'+codigoProductoA).options[indiceTipo].text;
    var codigoTipo=document.getElementById('ddlTipo_'+codigoProductoA).value;
    
    var valorProductoA=String(TrimElemento(AtrapaValorElemento('txtValor_'+codigoProductoA)));
    if(valorProductoA.indexOf('.') == -1)
    {
        valorProductoA=valorProductoA+'.00'      
    }
    
    if(codigoProducto!='' && detalleProductoA!='' && claseProductoA!='0' && tipoProductoA!='0' && valorProductoA!='')
    {
        document.getElementById('tdEdit_'+codigoProductoA).value='0';
        document.getElementById('td_'+codigoProductoA).innerHTML=codigoProducto;
        document.getElementById('tdDet_'+codigoProductoA).innerHTML=detalleProductoA;
        document.getElementById('tdClase_'+codigoProductoA).innerHTML=nombreClase;
        document.getElementById('tdTipo_'+codigoProductoA).innerHTML=nombreTipo;
        document.getElementById('td_'+codigoProductoA).value=codigoProducto;
        document.getElementById('tdDet_'+codigoProductoA).value=detalleProductoA;
        document.getElementById('tdClase_'+codigoProductoA).value=codigoClase+'--'+nombreClase;
        document.getElementById('tdTipo_'+codigoProductoA).value=codigoTipo+'--'+nombreTipo;
        document.getElementById('tdValor_'+codigoProductoA).innerHTML=valorProductoA;
        document.getElementById('tdValor_'+codigoProductoA).value=valorProductoA;
        _LlamarFuncionEditaGuardaInventario('ProcesarInventario.jsp?accionInventario=11&codigoProductoA='+codigoProductoA+'&codigoProducto='+codigoProducto+'&detalleProductoA='+detalleProductoA+'&claseProductoA='+codigoClase+'&tipoProductoA='+codigoTipo+'&valorProductoA='+valorProductoA,codigoProductoA,codigoProducto);
        
    }
    else if(claseProductoA=='0')
    {
        alert('Seleccione una clase de Producto')
    }
    else if(tipoProductoA=='0')
    {
        alert('Seleccione un tipo de Producto')
    }
    else
    {
        alert('Existen campos vacios');
    }
    var resultado=ValidaFiltrosInventario('tProductos');
    if(operacionPopUp=='1')
    {
        document.getElementById('tdEdit_'+codigoProductoA).innerHTML="<a href=javascript:EditaInventario('" + codigoProducto + "','"+operacionPopUp+"');>Editar</a>";  
        if(resultado!=1)
        {
            HabilitarElemento('ddlTipoProductoConsulta');
            CambiaFondoElemento('ddlTipoProductoConsulta','white')
        }
        else
        {
            DeshabilitarElemento('ddlTipoProductoConsulta')    
            CambiaFondoElemento('ddlTipoProductoConsulta','darkgray')
        }
    }
    else if(operacionPopUp=='2')
    {
        document.getElementById('tdEdit_'+codigoProductoA).innerHTML="<a href=javascript:EditaInventarioPopUp('" + codigoProducto + "','"+operacionPopUp+"');>Editar</a>";  
        if(resultado!=1)
        {
            HabilitarElementoPopUp('ddlTipoProductoConsulta');
            CambiaFondoElementoPopUp('ddlTipoProductoConsulta','white')
        }
        else
        {
            DeshabilitarElementoPopUp('ddlTipoProductoConsulta')    
            CambiaFondoElementoPopUp('ddlTipoProductoConsulta','darkgray')
        }      
    }
   
    
}
function CancelaEdicionInventario(codigoProductoA,operacionPopUp)
{
    var consolidadoAntiguo=AtrapaValorElemento('refC_'+codigoProductoA);
    var AconsolidadoAntiguo = new Array();
    AconsolidadoAntiguo = consolidadoAntiguo.split('//'); 
    document.getElementById('tdEdit_'+codigoProductoA).value='0';
    document.getElementById('td_'+codigoProductoA).innerHTML=AconsolidadoAntiguo[0];
    document.getElementById('tdDet_'+codigoProductoA).innerHTML=AconsolidadoAntiguo[1];
    document.getElementById('tdClase_'+codigoProductoA).innerHTML=AconsolidadoAntiguo[2];
    document.getElementById('tdTipo_'+codigoProductoA).innerHTML=AconsolidadoAntiguo[3];
    document.getElementById('tdValor_'+codigoProductoA).innerHTML=AconsolidadoAntiguo[4];
    
    var resultado=ValidaFiltrosInventario('tProductos');
    if(operacionPopUp=='1')
    {
        document.getElementById('tdEdit_'+codigoProductoA).innerHTML="<a href=javascript:EditaInventario('" + codigoProductoA + "','"+operacionPopUp+"');>Editar</a>";  
        if(resultado!=1)
        {
            HabilitarElemento('ddlTipoProductoConsulta');
            CambiaFondoElemento('ddlTipoProductoConsulta','white')
        }
        else
        {
            DeshabilitarElemento('ddlTipoProductoConsulta')    
            CambiaFondoElemento('ddlTipoProductoConsulta','darkgray')
        }
    }
    else if(operacionPopUp=='2')
    {
        document.getElementById('tdEdit_'+codigoProductoA).innerHTML="<a href=javascript:EditaInventarioPopUp('" + codigoProductoA + "','"+operacionPopUp+"');>Editar</a>";  
        if(resultado!=1)
        {
            HabilitarElementoPopUp('ddlTipoProductoConsulta');
            CambiaFondoElementoPopUp('ddlTipoProductoConsulta','white')
        }
        else
        {
            DeshabilitarElementoPopUp('ddlTipoProductoConsulta')    
            CambiaFondoElementoPopUp('ddlTipoProductoConsulta','darkgray')
        }      
    }
}
//Funcion que llena la ventana popUp    
function EditaInventarioPopUp(codigoProducto,operacionPopUp)
{
    var codigoProductoA=String(TrimElemento(AtrapaValorElemento('td_'+codigoProducto)));
    var detalleProductoA=String(TrimElemento(AtrapaValorElemento('tdDet_'+codigoProducto)));
    var claseProductoA=String(TrimElemento(AtrapaValorElemento('tdClase_'+codigoProducto)));
    var AclaseProductoA= new Array();
    AclaseProductoA=claseProductoA.split('--');
    var tipoProductoA=String(TrimElemento(AtrapaValorElemento('tdTipo_'+codigoProducto)));
    var AtipoProductoA= new Array();
    AtipoProductoA=tipoProductoA.split('--');
    var valorProductoA=String(TrimElemento(AtrapaValorElemento('tdValor_'+codigoProducto)));
    
    var consolidadoAntiguoAceptar=codigoProductoA.toString()+'//'+detalleProductoA.toString()+'//'+AclaseProductoA[0].toString()+'//'+AtipoProductoA[0].toString()+'//'+valorProductoA.toString();
    var consolidadoAntiguoCancelar=codigoProductoA.toString()+'//'+detalleProductoA.toString()+'//'+AclaseProductoA[1].toString()+'//'+AtipoProductoA[1].toString()+'//'+valorProductoA.toString();
    document.getElementById('td_'+codigoProducto).innerHTML="<input type='text' name='txtCodigo_"+codigoProductoA+"' id='txtCodigo_"+codigoProductoA+"' style='width: 69px;' value='"+codigoProductoA+"' onkeypress='return ValidaCaracteres(event)'/>";
    document.getElementById('tdDet_'+codigoProducto).innerHTML="<input type='text' name='txtDet_"+codigoProductoA+"' id='txtDet_"+codigoProductoA+"'style='width: 149px;' value='"+detalleProductoA+"'/>";
    document.getElementById('tdEdit_'+codigoProducto).innerHTML="<a id='refA_" + codigoProductoA + "' value='"+consolidadoAntiguoAceptar+"' href=javascript:EditaInventarioConsulta('" + codigoProductoA + "','"+operacionPopUp+"');><img src='Iconos/aceptar.png'></a><a id='refC_" + codigoProductoA + "' value='"+consolidadoAntiguoCancelar+"' href=javascript:CancelaEdicionInventario('" + codigoProductoA + "','"+operacionPopUp+"');><img src='Iconos/cancelar.png'></a>";
    document.getElementById('tdEdit_'+codigoProducto).value='1';
    document.getElementById('tdValor_'+codigoProducto).innerHTML="<input type='text' name='txtValor_"+codigoProductoA+"' id='txtValor_"+codigoProductoA+"' style='width: 40px;' value='"+valorProductoA+"' onkeypress='ValidaNumeroDecimal();'/>";
    
    
    _LlamarFuncionCargaDatosporInventario('ProcesarInventario.jsp?accionInventario=10&idTipoProducto='+AclaseProductoA[0]+'&idTipoInventarioProducto='+AtipoProductoA[0]+'&codigoProducto='+codigoProductoA,codigoProductoA);
    DeshabilitarElementoPopUp('ddlTipoProductoConsulta')    
    CambiaFondoElementoPopUp('ddlTipoProductoConsulta','darkgray')
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionCargaDatosporInventario(url,codigoProducto)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var valorRetorno = new Array();
            var respuesta=ajax.responseText; 
            valorRetorno = respuesta.split('//');
            
            if(TrimElemento(valorRetorno[0])!="0")
            {  
                document.getElementById('tdClase_'+codigoProducto).innerHTML=TrimElemento(valorRetorno[0]);
                document.getElementById('tdTipo_'+codigoProducto).innerHTML=TrimElemento(valorRetorno[1]); 
            }
               
        }  
    }
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionEditaGuardaInventario(url,codigoProductoA,codigoProductoN)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var valorRetorno = new Array();
            var respuesta=ajax.responseText; 
            valorRetorno = respuesta.split('//');
            if(TrimElemento(valorRetorno[0])=='1')
            {
                alert('Error al guardar')
                CancelaEdicionInventario(TrimElemento(valorRetorno[1]));
                    
            }
            else
            {
                document.getElementById('tdEdit_'+codigoProductoA).id='tdEdit_'+codigoProductoN;
                document.getElementById('td_'+codigoProductoA).id='td_'+codigoProductoN;
                document.getElementById('tdDet_'+codigoProductoA).id='tdDet_'+codigoProductoN;
                document.getElementById('tdClase_'+codigoProductoA).id='tdClase_'+codigoProductoN;
                document.getElementById('tdTipo_'+codigoProductoA).id='tdTipo_'+codigoProductoN;       
                document.getElementById('tdValor_'+codigoProductoA).id='tdValor_'+codigoProductoN;       
            }
                
                

        }
    }
}

function LimpiarConsultaInventario()
{
    LimpiarElemento('txtBuscaProductoCodigo');
}

function AsignaImagenAyuda(pagina)
{ 
    if(pagina=="Empleado.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/Empleado.png">';                  
    }
    else if(pagina=="Usuario.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/Usuario.png">';                 
    }
    else if(pagina=="Cliente.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/Cliente.png">';                 
    }
    else if(pagina=="Pedido.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/Pedido.png">';               
    }
    else if(pagina=="RecepcionPedido.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/RecepcionPedido.png">';                 
    }
    else if(pagina=="Inventario.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/Inventario.png">';                
    }
    else if(pagina=="AdministracionInventario.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/AdministracionInventario.png">';                 
    }
    else if(pagina=="ReportesPedido.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/ReportePedido.png">';                 
    }
    else if(pagina=="ReportesInventario.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/ReporteInventario.png">';                 
    }
    else if(pagina=="ReportesAuditoria.jsp")
    {
        document.getElementById('divImagenAyuda').innerHTML='<img  src="Imagenes/Ayuda/ReporteAuditoria.png">';                 
    }
}


///
////////////////////////////////////////////FUNCIONES PARA MODULO DE REPORTES//////////////////////////////////////////
///



//Funcion para cargar los filtros de ordenes disponibles para registrar una nota de entrega
function CargarClientesPedidoReporte()
{
    //OcultarElemento('ResumenPedido');
    _LlamarFuncion('ProcesarReporte.jsp?accionReporte=0','divClientePedido'); 
}


//Busca lista de pedidos
function GeneraReportePedidos() 
{
    var fechaInicio=AtrapaValorElemento('txtfechInicio');
    var fechaFin=AtrapaValorElemento('txtFechaFin');
    var clientePedido=AtrapaCombobox('ddlClientesPedido');
    var estadoPedido=AtrapaCombobox('ddlEstadoPedido');
    var operacion=0;

    if(clientePedido!=0 && fechaInicio.length==0 && fechaFin.length==0 && estadoPedido=="0")
    {
        operacion=1;   
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=1&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido,'ListaPedido');
    }
    else if(fechaInicio.length>0 && fechaFin.length==0)
    {
        operacion=2;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=1&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido,'ListaPedido');
    }
    else if (fechaInicio.length>0 && fechaFin.length>0 && estadoPedido==0)
    {
        operacion=3;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=1&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido,'ListaPedido');
    }
    else if (fechaInicio.length>0 && fechaFin.length>0 && clientePedido!=0)
    {
        operacion=4;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=1&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido,'ListaPedido');
    }
    else if (estadoPedido!=0 && fechaInicio.length==0 && fechaFin.length==0 && clientePedido==0 )
    {
        operacion=5;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=1&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido,'ListaPedido');
    }
    else if (estadoPedido!=0 && fechaInicio.length==0 && fechaFin.length==0 && clientePedido!=0 )
    {
        operacion=6;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=1&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido,'ListaPedido');
    }
    else if(fechaInicio.length==0 && fechaFin.length==0 && clientePedido==0 && estadoPedido=="0")
    {
        fechaInicio="";
        fechaFin="";
        clientePedido=0;
        estadoPedido=0;
        operacion=0;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=1&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido,'ListaPedido');
    }
    document.getElementById('ListaPedido').style.visibility='visible';
    document.getElementById('btnExportar').style.visibility='visible'; 

}
//Busca lista de pedidos
function GeneraReporteInventario() 
{
    var fechaInicio=AtrapaValorElemento('txtfechaInicio');
    var fechaFin=AtrapaValorElemento('txtFechaFin');
    var estadoInventario=AtrapaCombobox('ddlEstadoInventario')
    var operacion=0;

    if(estadoInventario!=0 && fechaInicio.length==0 && fechaFin.length==0)
    {
        operacion=1;   
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=3&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario,'ListaInventario');
    }
    else if(estadoInventario==0 && fechaInicio.length>0 && fechaFin.length==0)
    {
        operacion=2;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=3&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario,'ListaInventario');
    }
    else if (estadoInventario==0 && fechaInicio.length>0 && fechaFin.length>0)
    {
        operacion=3;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=3&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario,'ListaInventario');
    }
    else if (estadoInventario!=0 && fechaInicio.length>0 && fechaFin.length>0)
    {
        operacion=4;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=3&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario,'ListaInventario');
    }
    else if(fechaInicio.length==0 && fechaFin.length==0 && estadoInventario==0 )
    {
        fechaInicio="";
        fechaFin="";
        estadoInventario=0; 
        operacion=0;
        _LlamarFuncion('ProcesarReporte.jsp?accionReporte=3&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario,'ListaInventario');
    }
    document.getElementById('ListaInventario').style.visibility='visible';
    document.getElementById('btnExportar').style.visibility='visible'; 

}
function CargaReporteInventario() 
{
    var fechaInicio=AtrapaValorElemento('txtfechaInicio');
    var fechaFin=AtrapaValorElemento('txtFechaFin');
    var estadoInventario=AtrapaCombobox('ddlEstadoInventario')
    var operacion=0;

    if(estadoInventario!=0 && fechaInicio.length==0 && fechaFin.length==0)
    {
        operacion=1;   
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=4&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario);
    }
    else if(estadoInventario==0 && fechaInicio.length>0 && fechaFin.length==0)
    {
        operacion=2;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=4&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario);
    }
    else if (estadoInventario==0 && fechaInicio.length>0 && fechaFin.length>0)
    {
        operacion=3;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=4&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario);
    }
    else if (estadoInventario!=0 && fechaInicio.length>0 && fechaFin.length>0)
    {
        operacion=4;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=4&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario);
    }
    else if(fechaInicio.length==0 && fechaFin.length==0 && estadoInventario==0 )
    {
        fechaInicio="";
        fechaFin="";
        estadoInventario=0; 
        operacion=0;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=4&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&estadoInventario='+estadoInventario);
    }
    alert('Reporte exportado exitosamente')
}

//Busca lista de pedidos
function GeneraReporteAuditoria() 
{
    var fechaInicio=AtrapaValorElemento('txtfechInicio');
    var fechaFin=AtrapaValorElemento('txtFechaFin');
    var tipoAuditoria=AtrapaCombobox('ddlTipoAuditoria');
    var operacion=0;

    if(tipoAuditoria!=0 && fechaInicio.length>0 && fechaFin.length>0)
    {
        if(tipoAuditoria=="TRA")
        {
            operacion=0;   
            _LlamarFuncion('ProcesarReporte.jsp?accionReporte=5&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin,'ListaAuditoria'); 
        }
        else if(tipoAuditoria=="ERR")
        {
            operacion=1;   
            _LlamarFuncion('ProcesarReporte.jsp?accionReporte=5&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin,'ListaAuditoria');
        }
        document.getElementById('ListaAuditoria').style.visibility='visible';
        document.getElementById('btnExportar').style.visibility='visible'; 
    }
    else if(fechaInicio.length==0 || fechaFin.length==0)
    {
        alert('Ingresar fechas de busqueda') 
    }
    else
    {
        alert('Seleccionar un tipo de Auditoria')
    }


}
//Busca lista de pedidos
function CargaReporteAuditoria() 
{
    var fechaInicio=AtrapaValorElemento('txtfechInicio');
    var fechaFin=AtrapaValorElemento('txtFechaFin');
    var tipoAuditoria=AtrapaCombobox('ddlTipoAuditoria');
    var operacion=0;

    if(tipoAuditoria!=0 && fechaInicio.length>0 && fechaFin.length>0)
    {
        if(tipoAuditoria=="TRA")
        {
            operacion=0;   
            _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=6&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin); 
        }
        else if(tipoAuditoria=="ERR")
        {
            operacion=1;   
            _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=6&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin);
        }
        alert('Reporte exportado exitosamente')
    }
    else if(fechaInicio.length==0 || fechaFin.length==0)
    {
        alert('Ingresar fechas de busqueda') 
    }
    else
    {
        alert('Seleccionar un tipo de Auditoria')
    }


}

function CargaReportesPedidos() 
{
    var fechaInicio=AtrapaValorElemento('txtfechInicio');
    var fechaFin=AtrapaValorElemento('txtFechaFin');
    var clientePedido=AtrapaCombobox('ddlClientesPedido');
    var estadoPedido=AtrapaCombobox('ddlEstadoPedido');
    var operacion=0;

    if(clientePedido!=0 && fechaInicio.length==0 && fechaFin.length==0 && estadoPedido=="0")
    {
        operacion=1;   
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=2&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido);
    }
    else if(fechaInicio.length>0 && fechaFin.length==0)
    {
        operacion=2;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=2&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido);
    }
    else if (fechaInicio.length>0 && fechaFin.length>0 && estadoPedido==0)
    {
        operacion=3;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=2&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido);
    }
    else if (fechaInicio.length>0 && fechaFin.length>0 && clientePedido!=0)
    {
        operacion=4;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=2&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido);
    }
    else if (estadoPedido!=0 && fechaInicio.length==0 && fechaFin.length==0 && clientePedido==0 )
    {
        operacion=5;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=2&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido);
    }
    else if (estadoPedido!=0 && fechaInicio.length==0 && fechaFin.length==0 && clientePedido!=0 )
    {
        operacion=6;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=2&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido);
    }
    else if(fechaInicio.length==0 && fechaFin.length==0 && clientePedido==0 && estadoPedido=="0")
    {
        fechaInicio="";
        fechaFin="";
        clientePedido=0;
        estadoPedido=0;
        operacion=0;
        _LlamarFuncionSR('ProcesarReporte.jsp?accionReporte=2&operacion='+operacion+'&fechaInicio='+fechaInicio+'&fechaFin='+fechaFin+'&clientePedido='+clientePedido+'&estadoPedido='+estadoPedido);
    }
    alert('Reporte exportado exitosamente')
}



//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionSR(url)
{  
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;       
        }
    }
}
function LimpiarReporte()
{
    LimpiarElemento('txtfechInicio');
    LimpiarElemento('txtFechaFin');
    LimpiarCombobox('ddlClientesPedido');
}


///
////////////////////////////////////////////FUNCIONES GLOBALES PARA TODO EL APLICATIVO//////////////////////////////////////////
///

//Funcion Ajax que permite procesar los datos hacia otra pagina, por detras del usuario.
function Ajax() { 
    var XMLHttp = false;
    if (window.XMLHttpRequest) {
        // Si es Mozilla, Safari etc
        XMLHttp = new XMLHttpRequest ();
    } else {
        if (window.ActiveXObject) {
            // pero si es IE
            try {
                XMLHttp = new ActiveXObject ("Msxml2.XMLHTTP");
            } catch (e) {
                // en caso que sea una versión antigua
                try {
                    XMLHttp = new ActiveXObject ("Microsoft.XMLHTTP");
                } catch (e) {
                    return false;
                }
            }
        } else {
            return false;
        }
    } 
    return XMLHttp;
}

//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncion(url,div)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            document.getElementById(div).innerHTML=respuesta;
        }
    }
}
//Funcion que permite llamar a pagina de procesamiento mediante AJAX y cargarlo en un iFrame
function _LlamarFuncionIframe(url,iFrame,div)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            window.frames[iFrame].document.getElementById(div).innerHTML=respuesta;   
        }
    }
}
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionReporte(url)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;            
            document.getElementById(div).innerHTML=respuesta;   
        }
    }
}

function _LlamarFuncionRetorno(url)
{   
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    valorRetorno=null;
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            
            GuardarDetallesPedido(respuesta)
        }
    }
}

//Atrapa valor de ComboBox
function AtrapaCombobox(id)
{
    var index= document.getElementById(id).value;
    return index;
}
//Atrapa valor de ComboBox fuera de Iframe
function AtrapaComboboxIframe(id)
{
    var index= parent.document.getElementById(id).value;
    return index;
}
//Vacia informacion de Combobox
function LimpiarCombobox(id)
{
    if(document.getElementById(id))
    {
        document.getElementById(id).value=0;
    }
}
//Funcion que atrapa el valor de elemento en especifico
function AtrapaValorElemento(id)
{
    if(document.getElementById(id))
    {
        var valor=document.getElementById(id).value 
    }
    return valor;
}

//Vacia informacion de Combobox a especifico numero
function LimpiarComboboxEspecifico(id,index)
{
    if(document.getElementById(id))
    {
        document.getElementById(id).value=index;
    }
}
//Vacia informacion de elemento enviado
function LimpiarElemento(id)
{
    if(document.getElementById(id))
    {
        document.getElementById(id).value='';
    }
}
//Habilita elemento para su utilizacion
function HabilitarElemento(id)
{
    if(document.getElementById(id))
    {
        document.getElementById(id).disabled = false;
    }
}
//Habilita elemento para su utilizacion
function HabilitarElementoPopUp(id)
{
    if(window.opener.document.getElementById(id))
    {
        window.opener.document.getElementById(id).disabled = false;
    }
}
//Habilita elemento para su utilizacion
function DeshabilitarElemento(id)
{
    if(document.getElementById(id))
    {
        document.getElementById(id).disabled = true;
    }
}
//Habilita elemento para su utilizacion
function DeshabilitarElementoPopUp(id)
{
    if(window.opener.document.getElementById(id))
    {
        window.opener.document.getElementById(id).disabled = true;
    }
}
function Limpiardiv(id)
{
    if(document.getElementById(id))
    {
        document.getElementById(id).innerHTML='';
    }
}
//enfoca elmento especifico
function EnfocarElemento(id)
{
    document.getElementById(id).focus();
}
//Oculta un elemento en especifico
function OcultarElemento(id)
{
    document.getElementById(id).style.display='none';
}
//Muestra un elemento en especifico
function MostrarElemento(id)
{
    document.getElementById(id).style.display='inline';
}
//Cambia fondo de Elemento
function CambiaFondoElemento(id,value)
{
    var elemento = document.getElementById(id)
    elemento.style.backgroundColor=value
}
//Cambia fondo de Elemento
function CambiaFondoElementoPopUp(id,value)
{
    var elemento = window.opener.document.getElementById(id)
    elemento.style.backgroundColor=value
}
//Funcion que quita los espacios en blanco de los lados de una variable en especifico
function TrimElemento(id) 
{
    if(id!="" || id=="undefined")
    {
        return id.replace(/^\s+|\s+$/gm,'')
    }
    else
    {
        return id
    }
}
//Funcion que valida si el usuario presiono enter para desplegar especifica funcion
function validarEnter(e) {
    var key=e.keyCode || e.which;
    if (key==13){
        return true;
    } else {
        return false;
    }
}

//Valida que solo se ingrese numero de digitos permitidos
function ValidaDigitos(id,maximo) {
    var tamañoElemento=document.getElementById(id).value.length;
    if (tamañoElemento>maximo) {
        document.getElementById(id).value = document.getElementById(id).value.substring(0,maximo)
        ValidaEstadousuario(id)
    }
}

//Valida que solo se ingrese numero de digitos permitidos
function ValidaMaxCaracteres(id,maximo) {
    var tamañoElemento=document.getElementById(id).value.length;
    if (tamañoElemento>maximo) {
        document.getElementById(id).value = document.getElementById(id).value.substring(0,maximo)
    }
}

//Valida el ingreso de numeros en un texbox
function validacionNumero(e) {
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8) return true;
    letras =/^[0-9]+$/;
    texto = String.fromCharCode(tecla);
    return letras.test(texto);
}

//Valida el ingreso de texto  en un texbox
function validarLetrasE(e) {
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8) return true;
    letras =/[A-Za-z\s]/;
    texto = String.fromCharCode(tecla);
    return letras.test(texto);
}

//Valida el ingreso de texto  en un texbox
function validarLetras(e) {
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8) return true;
    letras =/[A-Za-z]/;
    texto = String.fromCharCode(tecla);
    return letras.test(texto);
}
//Valida el ingreso de texto o numeros en un texbox
function ValidaCaracteres(e) {
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8) return true;
    alfanumerico =/[A-Za-z0-9]/;
    texto = String.fromCharCode(tecla);
    return alfanumerico.test(texto);
}
function ValidaCaracterFloat(e) {
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8) return true;
    alfanumerico =/^\d+(\.\d{1,2})?$/;
    texto = String.fromCharCode(tecla);
    return alfanumerico.test(texto);
}

function validaFloat(numero)
{
    if (!/^([0-9])*[.]?[0-9]*$/.test(numero))
        alert("El valor " + numero + " no es un número");
}

function validarReal(dat){
    var er_num=/^([0-9])*[.]?[0-9]*$/;
    if(dat.value != ""){
        if(!er_num.test(dat.value))
        {
            event.returnValue = false;   
        }
        else
        {
            event.returnValue = true;  
        }
    
    //return false;
    }

//return true;
}
//Valida el ingreso de texto o numeros en un texbox
function ValidaDecimal(e) {
    alfanumerico =/^\d+(\.\d{1,2})?$/;
    texto = String.fromCharCode(tecla);
    return alfanumerico.test(texto);
}

//Valida el ingreso de texto en un textbox
function ValidaTexto() {
    if ((event.keyCode != 32) && (event.keyCode < 65) || (event.keyCode > 90) && (event.keyCode < 97) || (event.keyCode > 122))  
        event.returnValue = false; 
}

//Valida que solo se ingrese numeros en el texbox
function ValidaNumero() {
    var event = window.event;
    if (event.keyCode < 48 || event.keyCode > 57) {
        event.returnValue = false;
    }
}
//Valida que solo se ingrese numeros en el texbox
function ValidaNumeroDecimal() {

    if(event.keyCode!=47)
    {
        if (event.keyCode < 46 || event.keyCode > 57) {
    
            event.returnValue = false;
        }     
    }
    else 
    {
        event.returnValue = false; 
    }

}

//Valida campos vacios
function ValidaCampos(id) {

    if(document.getElementById(id).value=="")
    {
        alert("Complete todos los campos")
    }
}

//Funcion que borra el contenido de una tabla
function BorraContenidoTabla(id)
{
    var tabla = document.getElementById(id);
    var cantidadFilas = tabla.rows.length;
    if(cantidadFilas!=0)
    {
        for(var i=0; i<cantidadFilas; i++) {
            tabla.deleteRow(0);
        }   
    }           
}

//Funcion que borra una fila en especifico de una tabla
function BorraFilaTabla(index)
{
    var fila=document.getElementById('P'+index);
    fila.parentNode.removeChild(fila);
}

//Funcion que valida el numero valor que no exceda la cantidad existente
function ValidarCantidad(maximo,txt)
{
    txt='txt'+txt;
    var cantidad=document.getElementById(txt).value;
    if (cantidad>maximo) {
        document.getElementById(txt).value ="";
        alert('Cantidad maxima: '+maximo);
    }
}

// Initializes a new instance of the StringBuilder class
// and appends the given value if supplied
function StringBuilder(value)
{
    this.strings = new Array("");
    this.append(value);
}

// Appends the given value to the end of this instance.
StringBuilder.prototype.append = function (value)
{
    if (value)
    {
        this.strings.push(value);
    }
}

// Clears the string buffer
StringBuilder.prototype.clear = function ()
{
    this.strings.length = 1;
}

// Converts this instance to a String.
StringBuilder.prototype.toString = function ()
{
    return this.strings.join("");
}


function SacaFecha(id){
    var fecha=new Date();
    document.getElementById(id).innerHTML=fecha;
}
function ActualizarElemento(id){
    //SacaFecha(id);
    document.all(id).src='Pedido.jsp';
    setTimeout("ActualizarElemento()",1000);
}
 
function actualizar_frame() {
    document.all('divProductos').src='ListaProductos.jsp';
    window.setTimeout('actualizar_frame()',30000);  
}

function escribirInner(id,value)
{
    document.getElementById(id).innerHTML=value
}
function AsignarValor(id,value)
{
    document.getElementById(id).value=value
}

function abrirPagina()
{
    window.open("Error.jsp")   
}

function Abrir_ventana (id) {
    var opciones="toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, width=650, height=400, position= absolute,top=0, left=0";
    window.open(id,"",opciones);
}



function CierraSesion () {
    _LlamarFuncionSesion('ProcesarSesion.jsp?accionsesion='+1);

}
//Funcion que permite llamar a pagina de procesamiento mdiante AJAX
function _LlamarFuncionSesion(url)
{
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
        }

    }
}

function RegresarLogin()
{
    CierraSesion();
    location.href="Login.jsp";
}

function ActualizaClaveUsuario(operacion,usuario)
{
    var nuevaClave=AtrapaValorElemento('txtNuevaClave');
    var confirmacionClave=AtrapaValorElemento('txtNuevaClaveC');
    
    if(nuevaClave!="" && confirmacionClave!="")
    {
        if(nuevaClave==confirmacionClave)
        {
            _LlamarFuncionCambioClave('ProcesarUsuario.jsp?accionUsuario=8&operacionUsuario='+operacion+'&nombreUsuario='+usuario+'&claveUsuario='+nuevaClave,operacion);        
        }
        else
        {
            alert('Las contrasenas deben ser iguales')
        }
    }
    else
    {
        alert('Existen campos vacios')
    }
}   
function _LlamarFuncionCambioClave(url,operacion)
{  
    var idUnico=Math.random();
    url=url+'&idUnico='+idUnico;
    ajax=Ajax();
    ajax.open("get",url,true);   
    ajax.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
    ajax.send(null);
    ajax.onreadystatechange=function()
    {
        if(ajax.readyState==4)
        {
            var respuesta=ajax.responseText;
            if(TrimElemento(respuesta)=="0" && operacion=="1")
            {
                alert('Cambio exitoso')
                location.href="Index.jsp"; 
            }
            else if(TrimElemento(respuesta)=="0" && operacion=="0")
            {
                alert('Reseteo Correcto')  
                LimpiarFormulario()
            }
            else
            {
                alert('error en el cambio de contrasena')
            }
                
        }
    }
}









