<%@page import="javax.swing.text.Document"%>
<%@page import="java.util.ArrayList"%>
<%@page import="java.lang.reflect.Array"%>
<%@page import="javax.swing.JOptionPane"%>
<%@page import="org.apache.jasper.tagplugins.jstl.core.Redirect"%>
<%@page import="INV_SINERCOM.Negocio.NEmpleado"%>
<%@page import="INV_SINERCOM.Negocio.NLog"%>
<%@page import="INV_SINERCOM.Entidades.*"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%
    /// <summary>
    /// Aplicación: INV_SINERCOM (INVENTARIO SINERCOM)
    /// Módulo: USUARIOS
    /// Fecha:2014/09/30 
    /// Empresa:SINERCOM
    /// HISTORIA DE CAMBIOS
    /// ----------------------------------------------------------------------
    /// FECHA         USUARIO     DESCRIPCION
    /// 2014/10/28    DRPAREDA    Creacion de Clase para manejo de EMPLEADOS
    /// ----------------------------------------------------------------------
    /// </summary>

    EEmpleado entEmpleado = new EEmpleado();
    ELog entLog = new ELog();

    int accion = 0;
    String codigoEmpleadostring = "";
    int codigoEmpleado = 0;
    int operacionUsuario = 0;
    String mensaje = "";
    String descripcionLog = "";
    String direccionEmpleado = "";
    String telefonoEmpleado = "";
    String valorRetorno = "";


    try {
        //ENVIA DATOS PARA USUARIO
        entEmpleado.setNombreEmpleado(request.getParameter("nombreEmpleado"));
        entEmpleado.setApellidoEmpleado(request.getParameter("apellidoEmpleado"));
        entEmpleado.setCedulaEmpleado(request.getParameter("cedulaEmpleado"));


        //ENVIA DATOS PARA LOG
        entLog.setIp(java.net.InetAddress.getLocalHost().getHostAddress());
        entLog.setUsuario(session.getAttribute("sesion_usuario").toString());

        //Guarda numero de accion que se realizara
        accion = Integer.parseInt(request.getParameter("accionEmpleado").toString());


        switch (accion) {
            case 0: //REGISTRA NUEVOS EMPLEADOS
                direccionEmpleado = request.getParameter("direccionEmpleado");
                telefonoEmpleado = request.getParameter("telefonoEmpleado");
                codigoEmpleado = NEmpleado.RegistraEmpleado(entEmpleado, direccionEmpleado, telefonoEmpleado);

                if (codigoEmpleado != 0) {
                    descripcionLog = "Registro Empleado";
                    NLog.InsertaLogTransaccion(entLog, descripcionLog);
                    String nombreCompletoEmpleado = entEmpleado.getNombreEmpleado().toString() + " " + entEmpleado.getApellidoEmpleado();
%>
<div id="ResumenRegistroEmpleado" class="resumen">
    Se registró correctamente el Empleado <%=nombreCompletoEmpleado%> 
    <br>
    El código de Empleado es: <%=codigoEmpleado%>
</div>
<%
} else {
%>
<%=codigoEmpleado%>
<%
        }
        break;

    case 1://busqueda de empleados
        valorRetorno = "";
        codigoEmpleadostring = request.getParameter("codigoEmpleado");
        if (codigoEmpleadostring != "") {
            if (codigoEmpleadostring.length() > 10) {
                valorRetorno = "";
                return;
            }
            codigoEmpleado = Integer.parseInt(request.getParameter("codigoEmpleado").toString());
        }
        entEmpleado.setCedulaEmpleado(request.getParameter("cedulaEmpleado").toString());
        operacionUsuario = Integer.parseInt(request.getParameter("operacionUsuario").toString());
        ArrayList DatosEmpleado = NEmpleado.BuscaEmpleado(operacionUsuario, codigoEmpleado, entEmpleado);
        valorRetorno = "";
        int contador = 1;
        for (int i = 0; i < DatosEmpleado.size(); i++) {

            if (contador < DatosEmpleado.size()) {
                valorRetorno = valorRetorno + DatosEmpleado.get(i).toString() + "/";
            } else {
                valorRetorno = valorRetorno + DatosEmpleado.get(i).toString();

            }
            contador++;
        }
%>
<%=valorRetorno%>
<%
        break;

    case 2://ACTUALIZA INFORMACION DE EMPLEADOS
        codigoEmpleado = Integer.parseInt(request.getParameter("codigoEmpleado").toString());
        direccionEmpleado = request.getParameter("direccionEmpleado");
        telefonoEmpleado = request.getParameter("telefonoEmpleado");
        int valorRetornoActualizacion = NEmpleado.ActualizarEmpleado(codigoEmpleado, entEmpleado, direccionEmpleado, telefonoEmpleado);
        if (valorRetornoActualizacion != 0) {
            descripcionLog = "Actualizacion Empleado";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
        }
%>
<%=valorRetornoActualizacion%>
<%

        break;

    case 3://ELIMINA EMPLEADO DE LA BASE DE DATOS
        codigoEmpleado = Integer.parseInt(request.getParameter("codigoEmpleado").toString());
        int valorRetornoEliminar = NEmpleado.EliminarEmpleado(codigoEmpleado);
        if (valorRetornoEliminar != 0) {
            descripcionLog = "Eliminacion Empleado";
            NLog.InsertaLogTransaccion(entLog, descripcionLog);
        }
%>
<%=valorRetornoEliminar%>
<%
                break;

        }

    } catch (Exception ex) {
        descripcionLog = "Empleado - " + ex.getLocalizedMessage().toString();
        NLog.InsertaLogError(entLog, descripcionLog);
    }
%>
